/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.biz.api.analyse;

import cn.hutool.core.collection.CollectionUtil;
import com.abssqr.plat.biz.api.analyse.node.AnalyseChartContext;
import com.abssqr.plat.biz.api.analyse.node.AnalyseChartNodeBase;
import com.abssqr.plat.common.facade.enums.AnalyseServiceEnum;
import com.general.system.common.util.LogUtil;
import com.general.system.util.adapter.selector.AbstractMultipleActionSelector;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 统计图执行多个符合条件节点的 数据整合
 * @author hanfei
 * @version $Id: AnalyseChartSelector.java, v 0.1 2019-09-25 11:58 PM hanfei Exp $ 
 */
@Component
public class AnalyseChartMultipleSelector extends AbstractMultipleActionSelector<AnalyseChartContext, AnalyseServiceEnum> {
    protected final Logger LOGGER = LoggerFactory.getLogger(getClass());
    
    @Autowired(required = false)
    private AnalyseChartNodeBase[] analyseChartNodeBases;
    
    @Override
    public void initHandlers() {
        LogUtil.info(LOGGER, "统计图总执行器加载可执行节点[{0}]", analyseChartNodeBases.length );
        super.setHandlers(CollectionUtil.newArrayList(analyseChartNodeBases));
    }
    
    @Override
    public List<AnalyseServiceEnum> getAllAllowTypeValues() {
        return CollectionUtil.newArrayList(AnalyseServiceEnum.values());
    }
    
    @Override
    public List<AnalyseServiceEnum> getRequestAllowTypes(AnalyseChartContext context) {
        return context.getServices();
    }
}
