/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.biz.api.analyse.node;

import com.abssqr.plat.common.facade.enums.AnalyseServiceEnum;
import com.abssqr.plat.common.facade.model.report.ReportField;
import com.abssqr.plat.common.facade.model.report.wk.WkAstReportFields;
import com.abssqr.plat.core.service.util.AnalyseReportUtil;
import com.google.common.collect.Lists;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 资金流入
 * @author hanfei
 * @version $Id: AnalyseChartAna203Node.java, v 0.1 2019-10-09 11:26 PM hanfei Exp $
 */
@Component
public class AnalyseChartAna203Node extends AnalyseChartNodeBase {
    
    /**
     * 资金流入
     * 放款池、承接池信托本金投入、贷款还款流入
     * @param context
     * @return
     */
    @Override
    protected Void handle(AnalyseChartContext context) {
        List<ReportField> amtFields = Lists.newArrayList(
                WkAstReportFields.WK004, WkAstReportFields.WK007
        );
        super.handleDayTrendChart(context, amtFields, true,
                (acctDate, itemMap) -> AnalyseReportUtil.getItemMoney(
                        itemMap, WkAstReportFields.WK004, WkAstReportFields.WK007).getAmount());
        return null;
    }
    
    
    @Override
    protected AnalyseServiceEnum getServiceEnum(){
        return AnalyseServiceEnum.IN_FUND;
    }
}
