/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */

package com.abssqr.plat.biz.api.plan;

import com.abssqr.plat.biz.support.ServiceSupport;
import com.abssqr.plat.common.facade.param.plan.structure.InvestStructureQryParam;
import com.abssqr.plat.common.facade.result.plan.PlanInvestStructureVO;
import com.abssqr.plat.common.facade.service.plan.PlanInvestStructureService;
import com.abssqr.plat.common.facade.validation.Valid;
import com.abssqr.plat.common.model.convertor.PlanInvestStructureConvert;
import com.abssqr.plat.common.model.repo.plan.PlanInvestStructureRepo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 *
 * @author xiachenxiang
 * @version com.abssqr.plat.biz.api.plan: PlanInvestStructureServiceImpl.java, v 0.1 2020-02-06 1:40 PM xiachenxiang Exp $ 
 */
@Component
public class PlanInvestStructureServiceImpl extends ServiceSupport implements PlanInvestStructureService {

    @Autowired
    private PlanInvestStructureRepo planInvestStructureRepo;


    @Override
    public List<PlanInvestStructureVO> getStructureList(@Valid InvestStructureQryParam param) {
        return super.doQry(param,()-> PlanInvestStructureConvert.convert2VoList(planInvestStructureRepo.selectByPlanNo(param.getPlanNo())));
    }
}
