/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */
package com.abssqr.plat.biz.shared.handler;

import javax.annotation.PostConstruct;

import com.abssqr.plat.biz.shared.dispatcher.commonTask.CommonTaskExecutor;
import com.abssqr.plat.common.dal.sync.auto.dao.WkAbsMfsBillCtrIgnoreDAO;
import com.abssqr.plat.common.facade.enums.CommonTaskTypeEnum;
import com.abssqr.plat.common.model.domain.task.CommonTask;
import com.abssqr.plat.common.model.repo.ast.LoanRepository;
import com.general.system.common.util.VarChecker;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.biz.shared.handler: AstModCheckCommonTaskHandler.java, v 0.1 2020-03-04 14:06 bangis
 * .wangdf Exp $
 */
@Component
public class AstModCheckCommonTaskHandler implements CommonTaskHandler {
    @Autowired
    CommonTaskExecutor       commonTaskExecutor;
    @Autowired
    WkAbsMfsBillCtrIgnoreDAO wkAbsMfsBillCtrIgnoreDAO;
    @Autowired
    LoanRepository           loanRepository;

    @PostConstruct
    public void registerHandler() {
        commonTaskExecutor.registerHandler(CommonTaskTypeEnum.AST_MOD_CHECK, this);
    }

    @Override
    public CommonTask execute(CommonTask commonTask) {
        VarChecker.checkEquals(commonTask.getTaskType(), CommonTaskTypeEnum.AST_MOD_CHECK,
            "CommonTask类型不为AST_MOD_CHECK，taskType={0}", commonTask.getTaskType());
        //loanRepository.
        return null;
    }
}
