/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.biz.shared.report;

import cn.hutool.core.util.NumberUtil;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.PlanAstReportStat;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.enums.ReportAstStatTypeEnum;
import com.abssqr.plat.common.facade.model.report.ReportKey;
import com.abssqr.plat.common.model.convertor.ReportItemStatConvert;
import org.springframework.stereotype.Component;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.biz.shared.report: ReportItemFIlter.java, v 0.1 2019-06-28 02:27 zhenxuan.luo Exp $ 
 */
@Component
public class ReportItemFilter {
    
    /**
     * 合并统计项
     * @param vals
     * @return
     */
    public PlanAstReportStat combine(PlanAstReportStat... vals) {
        return ReportItemStatConvert.combine(vals);
    }
    
    /**
     * 统计累计项
     * @param reportStatMap
     * @param eventCode
     * @param type
     * @param vals
     * @return
     */
    public PlanAstReportStat filter(ReportStatMap reportStatMap, EventCodeEnum eventCode, ReportAstStatTypeEnum type,
                                    String... vals) {
        PlanAstReportStat res = ReportItemStatConvert.createReportStat(type, eventCode, "");
        for (String val : vals) {
            PlanAstReportStat reportStat = filteForVal(reportStatMap, type, eventCode, val);
            res.setAstChg(NumberUtil.add(res.getAstChg() , reportStat.getAstChg()).longValue());
            res.setPrinAmt(ReportItemStatConvert.addWithNull(res.getPrinAmt(), reportStat.getPrinAmt()));
            res.setOvdPrinAmt(ReportItemStatConvert.addWithNull(res.getOvdPrinAmt(), reportStat.getOvdPrinAmt()));
            res.setIntrAmt(ReportItemStatConvert.addWithNull(res.getIntrAmt(), reportStat.getIntrAmt()));
            res.setOvdIntrAmt(ReportItemStatConvert.addWithNull(res.getOvdIntrAmt(), reportStat.getOvdIntrAmt()));
            res.setFeeAmt(ReportItemStatConvert.addWithNull(res.getFeeAmt(), reportStat.getFeeAmt()));
            res.setOvdFeeAmt(ReportItemStatConvert.addWithNull(res.getOvdFeeAmt(), reportStat.getOvdFeeAmt()));
            res.setPrinPenalAmt(ReportItemStatConvert.addWithNull(res.getPrinPenalAmt(), reportStat.getPrinPenalAmt()));
            res.setIntrPenalAmt(ReportItemStatConvert.addWithNull(res.getIntrPenalAmt(), reportStat.getIntrPenalAmt()));
            res.setFeePenalAmt(ReportItemStatConvert.addWithNull(res.getFeePenalAmt(), reportStat.getFeePenalAmt()));
            // 费用
            res.setOtherFeeAmt(ReportItemStatConvert.addWithNull(res.getOtherFeeAmt(), reportStat.getOtherFeeAmt()));
            res.setOtherFeePenalAmt(ReportItemStatConvert.addWithNull(res.getOtherFeePenalAmt(), reportStat.getOtherFeePenalAmt()));
            res.setCost(ReportItemStatConvert.addWithNull(res.getCost(), reportStat.getCost()));
        }
        return res;
    }
    
    private PlanAstReportStat filteForVal(ReportStatMap reportStatMap, ReportAstStatTypeEnum type,
                                          EventCodeEnum eventCode, String val) {
        
        ReportKey reportKey = new ReportKey(type.getCode(), val, eventCode);
        
        PlanAstReportStat res = reportStatMap.get(reportKey);
        
        if (res == null) {
            res = ReportItemStatConvert.createReportStat(type, eventCode, val);
        } else {
            if (res.getAstChg() == null) {
                res.setAstChg(0L);
            }
        }
        return res;
    }
    
}