/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.biz.shared.scheduler.job.acct;

import com.abssqr.plat.biz.shared.scheduler.BaseQuartzJob;
import com.abssqr.plat.core.service.accounting.OrgAcctDayComponent;
import com.general.system.common.util.LogUtil;
import org.quartz.DisallowConcurrentExecution;
import org.quartz.PersistJobDataAfterExecution;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 会计日切换定时任务调度
 * @author bangis.wangdf
 * @version com.abssqr.plat.biz.shared.scheduler.job.acctday: AcctDaySwitchJob.java, v 0.1 2019-12-11 11:07 bangis
 * .wangdf Exp $
 */
@PersistJobDataAfterExecution
@DisallowConcurrentExecution
@Component
public class AcctDaySwitchJob extends BaseQuartzJob {
    /**
     * 每天 0 1/5 * * * ?
     */
    @Value("${sync.quartz.acctday.switch:0 1/5 * * * ?}")
    private String              cron;
    @Autowired
    private OrgAcctDayComponent orgAcctDayComponent;

    @Override
    protected String getCronExpr() {
        return cron;
    }

    @Override
    protected void doExecute() {
        LogUtil.info(LOGGER, "会计日切换任务执行");
        orgAcctDayComponent.acctDaySwitch();
    }
}
