/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */

package com.abssqr.plat.common.dal.typehandler;

import com.general.system.common.model.Money;
import org.apache.ibatis.type.BaseTypeHandler;
import org.apache.ibatis.type.JdbcType;
import org.apache.ibatis.type.MappedJdbcTypes;

import java.sql.CallableStatement;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

/**
 *
 * @author guozhenhua
 * @version com.abssqr.plat.common.dal.typehandler: MoneyHandler.java, v 0.1 2017-12-20 上午11:39 guozhenhua Exp $ 
 */

@MappedJdbcTypes(JdbcType.BIGINT)
public class MoneyHandler extends BaseTypeHandler<Money> {

    @Override
    public void setNonNullParameter(PreparedStatement preparedStatement, int i, Money money, JdbcType jdbcType) throws SQLException {

        if(money !=null){
            preparedStatement.setLong(i,money.getCent());
        } else {
            preparedStatement.setLong(i,0L);
        }

    }

    @Override
    public Money getNullableResult(ResultSet resultSet, String columnName) throws SQLException {

        Long cent =resultSet.getLong(columnName);
        return transMoney(cent);

    }

    @Override
    public Money getNullableResult(ResultSet resultSet, int index) throws SQLException {
        Long cent =resultSet.getLong(index);
        return transMoney(cent);
    }



    @Override
    public Money getNullableResult(CallableStatement callableStatement, int index) throws SQLException {
        Long cent =callableStatement.getLong(index);
        return transMoney(cent);
    }


    private Money transMoney(Long cent) {
        Money money = new Money();
        cent = cent==null ? 0L:cent;
        money.setCent(cent);
        return money;
    }

}
