/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.base;

import com.general.system.common.model.BaseEntity;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.base: CreationAwareEntity.java, v 0.1 2019-05-30 15:04 zhenxuan.luo Exp $
 */
public class CreationAwareEntity extends BaseEntity {
    
    /** 是否新创建模型标志 */
    private final boolean newModel;
    
    /**
     * 构造函数，调用该构造函数构造的模型被认为是新的，需要insert到DB中
     */
    public CreationAwareEntity() {
        this.newModel = true;
    }
    
    /**
     * 构造函数，标记出该模型是DB中查询出来的还是刚刚新建的
     *
     * @param newModel 是否是刚刚新建的
     */
    public CreationAwareEntity(boolean newModel) {
        this.newModel = newModel;
    }
    
    /**
     * 该模型是否是新创建的
     *
     * @return true如果是新创建的，否则false
     */
    public boolean isNew() {
        return newModel;
    }
}