/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 资产包状态枚举
 *
 * @author guozhenhua
 * @version com.abssqr.common.model.enums: AstStatusEnum.java, v 0.1 2017-12-05 下午16:04 zhenxuan.luo Exp $
 */
public enum AstPackStatusEnum implements IEnum {
    INIT("INIT", "初始"),
    WAIT("WAIT", "等待"),
    SCEEN_FIS("SCEEN_FIS", "筛选完成"),
    SCEEN_ERR("SCEEN_ERR", "筛选失败"),
    SCEEN_IGR("SCEEN_IGR", "筛选忽略"),

    ;

    private static final Map<String, AstPackStatusEnum> codeMap = new HashMap<String, AstPackStatusEnum>();

    static {
        for (AstPackStatusEnum item : AstPackStatusEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;

    private AstPackStatusEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static AstPackStatusEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getDesc() {
        return this.desc;
    }
}