/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.abssqr.plat.common.facade.model.org.OrganizationEntity;
import com.abssqr.plat.common.facade.model.plan.Plan;
import com.abssqr.plat.common.facade.model.plan.PlanAlloc;
import com.abssqr.plat.common.facade.model.plan.PlanBase;
import com.abssqr.plat.common.facade.model.prod.LoanProduct;
import com.abssqr.plat.common.facade.model.rule.AstScreenRule;
import com.abssqr.plat.common.facade.param.plan.priceRule.PlanAstPriceRuleParam;
import com.general.system.common.model.IEnum;

/**
 * @author yangcheng
 * @version DataChangeBizTypeEnum.java, v0.12019-06-1302:09 yangchengExp$
 */
public enum DataChangeBizTypeEnum implements IEnum {

    PLAN("PLAN", "PLAN", "计划管理", Plan.class),
    PROD("prod", "prod", "产品准入规则", LoanProduct.class),
    AstScreenRule("AstScreenRule", "AstScreenRule", "产品筛选规则", AstScreenRule.class),
    PlanAllocItem("PlanAllocItem", "PlanAllocItem", "分配方案", PlanAlloc.class),
    PlanAllocItemEntity("PlanAllocItemEntity", "PlanAllocItem", "分配方案", PlanAlloc.class),
    PanAstPriceRule("PanAstPriceRule", "PanAstPriceRule", "产品资产折价规则", PlanBase.class),

    PlanEntity("PlanEntity", "PlanEntity", "转让项目管理", OrganizationEntity.class);

    private String code;
    private String activeCode;
    private String desc;
    private Class  clazz;

    DataChangeBizTypeEnum(String code, String activeCode, String desc, Class clazz) {
        this.code = code;
        this.activeCode = activeCode;
        this.desc = desc;
        this.clazz = clazz;
    }

    // 普通方法
    public static String getDesc(String code) {
        for (DataChangeBizTypeEnum status : DataChangeBizTypeEnum
            .values()) {
            if (status.getCode().equals(code)) {
                return status.getDesc();
            }
        }
        return null;
    }

    public static DataChangeBizTypeEnum getEnum(String code) {
        for (DataChangeBizTypeEnum status : DataChangeBizTypeEnum
            .values()) {
            if (status.getCode().equals(code)) {
                return status;
            }
        }
        return null;
    }

    @Override
    public String getCode() {
        return code;
    }

    public String getActiveCode() {
        return activeCode;
    }

    @Override
    public String getDesc() {
        return desc;
    }

    public Class getClazz() {
        return clazz;
    }
}
