/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 机构资产统计任务状态
 * @author guozhenhua
 * @version com.abssqr.common.model.enums: OrgAstStatStatusEnum.java, v 0.1 2017-12-05 下午16:04 zhenxuan.luo Exp $
 */
public enum OrgAstStatStatusEnum implements IEnum {
    
    WAIT("wait", "等待调度"),
    
    ACTIVE("acti", "活跃"),
    
    PROCESS("proc", "执行中"),
    ;
    
    private static final Map<String, OrgAstStatStatusEnum> codeMap = new HashMap<String, OrgAstStatStatusEnum>();
    
    static {
        for (OrgAstStatStatusEnum item : OrgAstStatStatusEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }
    
    private String code;
    private String desc;
    
    private OrgAstStatStatusEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    
    public static OrgAstStatStatusEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return this.code;
    }
    
    @Override
    public String getDesc() {
        return this.desc;
    }
}