package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 业务类型
 *
 * @author bangis.wangdf
 * @version com.abssqr.admin.common.model.enums: TypeEnum.java, v 0.1 2018-05-16 16:32 lisj  Exp $
 */
public enum PlanTypeEnum implements IEnum {

    PLAN("PLAN", "受让计划"),
    SPV("SPV", "放款计划"),
    //
    ;

    private static final Map<String, PlanTypeEnum> codeMap = new HashMap<String, PlanTypeEnum>();

    static {
        for (PlanTypeEnum item : PlanTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    PlanTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    private String code;
    private String desc;

    public static PlanTypeEnum getByCode(String code) {
        return codeMap.get(code)==null?PLAN:codeMap.get(code);
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDesc() {
        return desc;
    }
}
