/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.model.report.manRpt;

import com.general.system.common.model.BaseEntity;

import java.io.Serializable;

/**
 * 资产回收情况
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.model.report.manRpt: RepoRpt.java, v 0.1 2019-07-01 01:11 zhenxuan.luo Exp $
 */
public class RepoRpt extends BaseEntity implements Serializable {
    
    private static final long serialVersionUID = 180655602209343347L;
    
    /**
     * 到期还款
     */
    private AmtPropCnt dueRepo = new AmtPropCnt();
    /**
     * 提前还款
     */
    private AmtPropCnt preRepo = new AmtPropCnt();
    /**
     * 逾期还款
     */
    private AmtPropCnt ovdRepo = new AmtPropCnt();
    /**
     * 核销还款
     */
    private AmtPropCnt wrtRepo = new AmtPropCnt();
    
    public void combineAmt(RepoRpt obj) {
        this.dueRepo.add(obj.dueRepo);
        this.preRepo.add(obj.preRepo);
        this.ovdRepo.add(obj.ovdRepo);
        this.wrtRepo.add(obj.wrtRepo);
    }
    
    public static long getSerialVersionUID() {
        return serialVersionUID;
    }
    
    public AmtPropCnt getDueRepo() {
        return dueRepo;
    }
    
    public void setDueRepo(AmtPropCnt dueRepo) {
        this.dueRepo = dueRepo;
    }
    
    public AmtPropCnt getPreRepo() {
        return preRepo;
    }
    
    public void setPreRepo(AmtPropCnt preRepo) {
        this.preRepo = preRepo;
    }
    
    public AmtPropCnt getOvdRepo() {
        return ovdRepo;
    }
    
    public void setOvdRepo(AmtPropCnt ovdRepo) {
        this.ovdRepo = ovdRepo;
    }
    
    public AmtPropCnt getWrtRepo() {
        return wrtRepo;
    }
    
    public void setWrtRepo(AmtPropCnt wrtRepo) {
        this.wrtRepo = wrtRepo;
    }
}