/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.plan;

import com.abssqr.plat.common.facade.base.BaseParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.enums.PlanTypeEnum;
import com.abssqr.plat.common.facade.validation.VldEnums;
import com.abssqr.plat.common.facade.validation.VldString;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.param.plan: PlanOprParam.java, v 0.1 2019-05-28 15:24 bangis.wangdf Exp $
 */
public class PlanQryParam extends BaseParam {
    /**
     * 实体类型（SPV）
     */
    @VldEnums(enumClass = PlanTypeEnum.class)
    private              String planType         = PlanTypeEnum.PLAN.getCode();
    private static final long serialVersionUID = -1100756807042409287L;
    /**
     * planNo 计划编号.
     */
    @VldString(message = "计划编号不能为空")
    private String  planNo;
    /**
     * 如果是工单进入详情为 true
     */
    private Boolean work = false;
    
    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_DTL_QRY;
    }
    
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public Boolean getWork() {
        return work;
    }
    
    public void setWork(Boolean work) {
        this.work = work;
    }

    public String getPlanType() {
        return planType;
    }

    public void setPlanType(String planType) {
        this.planType = planType;
    }
}