/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.plan.alloc;

import com.abssqr.plat.common.facade.base.BaseOprParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.param.plan.alloc.sub.PlanAllocItemParam;
import com.abssqr.plat.common.facade.validation.VldCollection;
import com.abssqr.plat.common.facade.validation.VldString;
import com.general.system.common.model.Money;
import com.google.common.collect.Lists;

import java.util.Date;
import java.util.List;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.param.plan.alloc: PlanAllocQryParam.java, v 0.1 2019-06-03 14:27 bangis.wangdf Exp $
 */
public class PlanAllocEditParam extends BaseOprParam {
    private static final long           serialVersionUID = 11075516078077737L;
    @VldString(message = "计划编号不能为空")
    private              String         planNo;
    /**
     * allocNo 分配编号.
     */
    private              String         allocNo;
    /**
     * clearDate 结算日.
     */
    private              Date           clearDate;
    /**
     * payDate 兑付日.
     */
    private              Date           payDate;
    /**
     * allocAmt 本期分配总额.
     */
    private              Money          allocAmt = Money.createWithCent(0L);

    private String allocHandleType;
    /**
     * 分配事项
     * 不填则表示仅更新分配计划时间
     */
    @VldCollection(nullable = true)
    private List<PlanAllocItemParam> PlanAllocItemParamList = Lists.newArrayList();
    /**
     * approveStatus 审批状态     OUTOFDATE("OUTOFDATE", "已过时"),      PASSED("PASSED", "已通过"),      FAILED("FAILED", "未通过"),      PENDING("PENDING", "审批中"),      UNSUBMIT("UNSUBMIT", "未提交"),      UNWANTED("UNWANTED", "无审批"),.
     */
    private String approveStatus;
    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_EDIT;
    }

    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }

    public String getAllocNo() {
        return allocNo;
    }

    public void setAllocNo(String allocNo) {
        this.allocNo = allocNo;
    }

    public Date getClearDate() {
        return clearDate;
    }

    public void setClearDate(Date clearDate) {
        this.clearDate = clearDate;
    }

    public Date getPayDate() {
        return payDate;
    }

    public void setPayDate(Date payDate) {
        this.payDate = payDate;
    }

    public Money getAllocAmt() {
        return allocAmt;
    }

    public void setAllocAmt(Money allocAmt) {
        this.allocAmt = allocAmt;
    }

    public List<PlanAllocItemParam> getPlanAllocItemParamList() {
        return PlanAllocItemParamList;
    }

    public void setPlanAllocItemParamList(List<PlanAllocItemParam> PlanAllocItemParamList) {
        this.PlanAllocItemParamList = PlanAllocItemParamList;
    }
    
    public String getAllocHandleType() {
        return allocHandleType;
    }
    
    public void setAllocHandleType(String allocHandleType) {
        this.allocHandleType = allocHandleType;
    }
    
    public String getApproveStatus() {
        return approveStatus;
    }
    
    public void setApproveStatus(String approveStatus) {
        this.approveStatus = approveStatus;
    }
}
