/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.plan.alloc.sub;

import com.abssqr.plat.common.facade.validation.VldNotNull;
import com.abssqr.plat.common.facade.validation.VldString;
import com.general.system.common.model.BaseEntity;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.param.plan.alloc.sub: PlanAllocItemParam.java, v 0.1 2019-06-04 17:33 bangis.wangdf Exp $
 */
public class PlanAllocItemParam extends BaseEntity {
    /**
     * 事项编号
     */
    private String  itemNo;
    /**
     * 分配顺序
     */
    @VldNotNull(message = "分配顺序不能为空")
    private Integer order;
    /**
     * 科目编号
     */
    @VldString(message = "科目编号不能为空")
    private String  titleNo;
    /**
     * 是否计税
     */
    @VldNotNull(message = "是否计税不能为空")
    private Boolean tax;
    /**
     * 试算金额 元
     */
    private String  trialAmt      = "0";
    /**
     * 试算增值税 元
     */
    private String  trialTaxAmt   = "0";
    /**
     * 确认金额 元
     */
    private String  confirmAmt    = "0";
    /**
     * 确认增值税 元
     */
    private String  confirmTaxAmt = "0";

    public String getItemNo() {
        return itemNo;
    }

    public void setItemNo(String itemNo) {
        this.itemNo = itemNo;
    }

    public Integer getOrder() {
        return order;
    }

    public void setOrder(Integer order) {
        this.order = order;
    }

    public String getTitleNo() {
        return titleNo;
    }

    public void setTitleNo(String titleNo) {
        this.titleNo = titleNo;
    }

    public Boolean getTax() {
        return tax;
    }

    public void setTax(Boolean tax) {
        this.tax = tax;
    }

    public String getTrialAmt() {
        return trialAmt;
    }

    public void setTrialAmt(String trialAmt) {
        this.trialAmt = trialAmt;
    }

    public String getTrialTaxAmt() {
        return trialTaxAmt;
    }

    public void setTrialTaxAmt(String trialTaxAmt) {
        this.trialTaxAmt = trialTaxAmt;
    }

    public String getConfirmAmt() {
        return confirmAmt;
    }

    public void setConfirmAmt(String confirmAmt) {
        this.confirmAmt = confirmAmt;
    }

    public String getConfirmTaxAmt() {
        return confirmTaxAmt;
    }

    public void setConfirmTaxAmt(String confirmTaxAmt) {
        this.confirmTaxAmt = confirmTaxAmt;
    }
    
}
