/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.plan.sub;

import com.abssqr.plat.common.facade.enums.TrCycleEnum;
import com.abssqr.plat.common.facade.validation.VldEnums;
import com.abssqr.plat.common.facade.validation.VldNotNull;
import com.general.system.common.model.BaseEntity;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.param.plan.sub: PlanTransferRuleParam.java, v 0.1 2019-05-30 15:03 bangis.wangdf Exp $
 */
public class PlanTransferRuleParam extends BaseEntity  implements Serializable {
    private static final long serialVersionUID = -6841079424133986667L;
    /**
     * transferNo 转让规则.
     */
    private String transferNo;
    /**
     * resAmt 预留金额.
     */
    @VldNotNull
    private String  resAmt;
    /**
     * trCycle 转让周期
     * D D
     * W W
     * M M
     * Q Q
     * Y Y.
     */
    @VldEnums(enumClass = TrCycleEnum.class)
    private String trCycle;
    /**
     * cycle 是否循环注水.
     */
    private Boolean cycle = true;
    /**
     * slice 是否切片.
     */
    private Boolean slice = false;
    /**
     * stopTrDate 停止转让日 持续购买终止日.
     */
    @VldNotNull
    private Date         stopTrDate;
    /**
     * startTrDate 开始转让日 持续购买开始日.
     */
    @VldNotNull
    private Date         startTrDate;
    /**
     * 筛选规则
     */
    private List<String> screeningRules;

    public String getTransferNo() {
        return transferNo;
    }

    public void setTransferNo(String transferNo) {
        this.transferNo = transferNo;
    }

    public String getResAmt() {
        return resAmt;
    }

    public void setResAmt(String resAmt) {
        this.resAmt = resAmt;
    }

    public String getTrCycle() {
        return trCycle;
    }

    public void setTrCycle(String trCycle) {
        this.trCycle = trCycle;
    }

    public Boolean getCycle() {
        return cycle;
    }

    public void setCycle(Boolean cycle) {
        this.cycle = cycle;
    }

    public Boolean getSlice() {
        return slice;
    }

    public void setSlice(Boolean slice) {
        this.slice = slice;
    }

    public Date getStopTrDate() {
        return stopTrDate;
    }

    public void setStopTrDate(Date stopTrDate) {
        this.stopTrDate = stopTrDate;
    }

    public Date getStartTrDate() {
        return startTrDate;
    }

    public void setStartTrDate(Date startTrDate) {
        this.startTrDate = startTrDate;
    }

    public List<String> getScreeningRules() {
        return screeningRules;
    }

    public void setScreeningRules(List<String> screeningRules) {
        this.screeningRules = screeningRules;
    }
}
