/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.prod;

import com.abssqr.plat.common.facade.base.BaseOprParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.param.prod.item.ProductRiskClParam;
import com.abssqr.plat.common.facade.validation.VldNotNull;
import com.abssqr.plat.common.facade.validation.VldString;

import java.util.List;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.param.prod: ProdEditParam.java, v 0.1 2019-05-28 14:10 bangis.wangdf Exp $
 */
public class ProdEditParam extends BaseOprParam {

    private static final long              serialVersionUID = 2587991845252632281L;
    /**
     * prodCode 外部产品码.
     */
    private              String            prodCode;
    /**
     * prodName 产品名.
     */
    @VldString(message = "产品名不能为空")
    private              String            prodName;
    /**
     * lenderOrgCode 贷款的实际出资机构.
     */
    private              String            lenderOrgCode;
    /**
     * lenderOrgName 贷款的实际出资机构名称.
     */
    private              String            lenderOrgName;
    /**
     * abssqrProdCode 内部产品码.
     */
    private              String            abssqrProdCode;
    /**
     * managerOrgCode 贷款的管理机构.
     */
    private              String            managerOrgCode;
    /**
     * managerOrgName 贷款的管理机构名称.
     */
    private              String            managerOrgName;
    /**
     * approveStatus 审批状态.
     */
    private              String approveStatus;

    /**
     * 产品风险信息
     */
    @VldNotNull(message = "产品风险信息不能为空")
    private List<ProductRiskClParam> productRiskClList;

    public String getProdCode() {
        return prodCode;
    }

    public void setProdCode(String prodCode) {
        this.prodCode = prodCode;
    }

    public String getProdName() {
        return prodName;
    }

    public void setProdName(String prodName) {
        this.prodName = prodName;
    }

    public String getLenderOrgCode() {
        return lenderOrgCode;
    }

    public void setLenderOrgCode(String lenderOrgCode) {
        this.lenderOrgCode = lenderOrgCode;
    }

    public String getLenderOrgName() {
        return lenderOrgName;
    }

    public void setLenderOrgName(String lenderOrgName) {
        this.lenderOrgName = lenderOrgName;
    }

    public String getAbssqrProdCode() {
        return abssqrProdCode;
    }

    public void setAbssqrProdCode(String abssqrProdCode) {
        this.abssqrProdCode = abssqrProdCode;
    }

    public String getManagerOrgCode() {
        return managerOrgCode;
    }

    public void setManagerOrgCode(String managerOrgCode) {
        this.managerOrgCode = managerOrgCode;
    }

    public String getManagerOrgName() {
        return managerOrgName;
    }

    public void setManagerOrgName(String managerOrgName) {
        this.managerOrgName = managerOrgName;
    }

    public String getApproveStatus() {
        return approveStatus;
    }

    public void setApproveStatus(String approveStatus) {
        this.approveStatus = approveStatus;
    }

    public List<ProductRiskClParam> getProductRiskClList() {
        return productRiskClList;
    }

    public void setProductRiskClList(List<ProductRiskClParam> productRiskClList) {
        this.productRiskClList = productRiskClList;
    }

    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_EDIT;
    }
}
