/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.service.ast;

import com.abssqr.plat.common.facade.param.loan.LoanAstQryParam;
import com.abssqr.plat.common.facade.param.loan.LoanAstTermQryParam;
import com.abssqr.plat.common.facade.param.loan.LoanPageQryParam;
import com.abssqr.plat.common.facade.param.loan.LoanQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.ast.LoanDelVO;
import com.abssqr.plat.common.facade.result.ast.LoanDetail;
import com.abssqr.plat.common.facade.result.ast.LoanInstalDetail;
import com.abssqr.plat.common.facade.result.ast.LoanListVO;

/**
 * 放款池项目计划及资产服务
 * @author hanfei
 * @version $Id: SpvLoanService.java, v 0.1 2019-12-12 5:21 PM hanfei Exp $ 
 */
public interface SpvLoanService {
    
    
    /**
     * 查询计划概况
     */
    LoanDelVO getSpvDetail(LoanQryParam param);
    
    /**
     * 查询资产列表
     */
    BasePage<LoanListVO> queryLoanPage(LoanPageQryParam param);
    
    /**
     * 查询资产详情
     */
    LoanDetail getLoanDetail(LoanAstQryParam param);
    
//    Object testLoan(String astNo);
    
    /**
     * 分期资产收益详情
     */
    LoanInstalDetail getLoanInstalDetail(LoanAstTermQryParam param);
    
    /**
     * 资产流水
     */
    
}
