/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.service.plan;

import com.abssqr.plat.common.facade.enums.PlanTypeEnum;
import com.abssqr.plat.common.facade.model.plan.PlanAlloc;
import com.abssqr.plat.common.facade.param.plan.alloc.PlanAllocAssignedOprParam;
import com.abssqr.plat.common.facade.param.plan.alloc.PlanAllocCfrmCalcParam;
import com.abssqr.plat.common.facade.param.plan.alloc.PlanAllocDelParam;
import com.abssqr.plat.common.facade.param.plan.alloc.PlanAllocDetailQryParam;
import com.abssqr.plat.common.facade.param.plan.alloc.PlanAllocEditParam;
import com.abssqr.plat.common.facade.param.plan.alloc.PlanAllocQryParam;
import com.abssqr.plat.common.facade.param.plan.alloc.TitleNameQryParam;
import com.abssqr.plat.common.facade.result.plan.PlanAllocVO;
import com.abssqr.plat.common.facade.result.plan.TitleNameVO;

import java.util.List;

/**
 * 计划资产分配服务
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.service.plan: PlanAllocService.java, v 0.1 2019-06-03 14:24 bangis.wangdf Exp $
 */
public interface PlanAllocService {
    /**
     * 获取计划分配方案
     * @param param
     */
    List<PlanAlloc> getPlanAlloc(PlanAllocQryParam param);

    /**
     * 获取分配计划详情
     * @param param
     * @return
     */
    PlanAllocVO getPlanAllocDetail(PlanAllocDetailQryParam param);

    /**
     * 获取会计科目
     * @param param
     * @return
     */
    List<TitleNameVO> getTitleNames(TitleNameQryParam param);

    /**
     * 编辑分配计划详情
     * @param param
     * @return
     */
    PlanAllocVO edit(PlanAllocEditParam param, PlanTypeEnum planType, boolean submit);
    
    /**
     * 根据分配金额进行试算
     * @param param
     * @return
     */
    PlanAllocVO calcCfrmByAmt(PlanAllocCfrmCalcParam param, PlanTypeEnum planType);

    /**
     * 删除分配方案
     * @param param
     * @return
     */
    Boolean delete(PlanAllocDelParam param);

    /**
     * 分配方案调整为已分配
     * @param param
     * @return
     */
    Boolean planAllocDetailAssigned(PlanAllocAssignedOprParam param);
}
