/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.service.plan;

import com.abssqr.plat.common.facade.model.plan.PlanMonitor;
import com.abssqr.plat.common.facade.model.plan.PlanMonitorRecord;
import com.abssqr.plat.common.facade.param.base.CommonPlanQryParam;
import com.abssqr.plat.common.facade.param.plan.monitor.PlanEventMonitorQryParam;
import com.abssqr.plat.common.facade.param.plan.monitor.PlanMonitorDelParam;
import com.abssqr.plat.common.facade.param.plan.monitor.PlanMonitorOprParam;
import com.abssqr.plat.common.facade.param.plan.monitor.PlanMonitorQryParam;
import com.abssqr.plat.common.facade.result.BasePage;

import java.util.List;

/**
 * 监控指标
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.service: PlanMonitorService.java, v 0.1 2019-05-28 15:18 zhenxuan.luo Exp $
 */
public interface PlanMonitorService {
    
    /**
     * 编辑监控指标
     *
     * @param param
     * @return
     */
    PlanMonitor editMonitor(PlanMonitorOprParam param);
    
    /**
     * 查询监控指标详情
     *
     * @param param
     * @return
     */
    PlanMonitor queryMonitorDtl(PlanMonitorQryParam param);
    
    /**
     * 查询监控指标列表
     * @param param
     * @return
     */
    List<PlanMonitor> queryMonitorList(CommonPlanQryParam param);
    
    
    /**
     * 删除监控指标列表
     * @param param
     * @return
     */
    Void deletePlanMonitor(PlanMonitorDelParam param);
    
    /**
     * 监控事件列表
     * @param param
     * @return
     */
    BasePage<PlanMonitorRecord> queryEventMonitorList(PlanEventMonitorQryParam param);
}