/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */

package com.abssqr.plat.common.integration.notice.utils;

import com.abssqr.plat.common.integration.notice.enums.RobotTypeEnum;
import com.abssqr.plat.common.integration.notice.model.Markdown;
import com.abssqr.plat.common.integration.notice.model.RobotRequest;
import com.abssqr.plat.common.integration.notice.model.impl.DingTalkMarkDown;
import com.abssqr.plat.common.integration.notice.model.impl.WeChartMarkDown;
import com.abssqr.plat.common.model.exception.AbssqrBizException;

/**
 * @author xiachenxiang
 * @version com.abssqr.plat.common.integration.notice: RobotFactory.java, v 0.1 2019-09-30 2:59 PM xiachenxiang Exp $
 */
public class RobotFactory {

    public static RobotRequest newInstance(RobotTypeEnum typeEnum) {
        RobotRequest robotRequest = new RobotRequest();
        switch (typeEnum) {
            case WeChart:
                robotRequest.setMarkdown(new WeChartMarkDown());
                break;
            case DingTalk:
                robotRequest.setMarkdown(new DingTalkMarkDown());
                break;
            default:
                throw new AbssqrBizException("不支持该类型");
        }
        return robotRequest;
    }
}
