/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.convertor;

import cn.hutool.core.collection.CollectionUtil;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.LoanBakReportStat;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.PlanAstReportStat;

import java.util.List;
import java.util.stream.Collectors;

/**
 *
 * @author hanfei
 * @version $Id: LoanBakConvert.java, v 0.1 2019-12-05 12:15 PM hanfei Exp $ 
 */
public class LoanBakConvert {
    
    
    public static List<PlanAstReportStat> convert2Domains(List<LoanBakReportStat> dos) {
        if (CollectionUtil.isEmpty(dos)) {
            return CollectionUtil.newArrayList();
        }
        return dos.stream().map(one -> convert2Domain(one)).collect(Collectors.toList());
    }
    
    public static PlanAstReportStat convert2Domain(LoanBakReportStat var) {
        PlanAstReportStat stat = new PlanAstReportStat();
        if (var == null) {
            return stat;
        }
        stat.setPlanNo(var.getPlanNo());
        stat.setStatType(var.getStatType());
        stat.setStatVal(var.getStatVal());
        stat.setEventCode(var.getEventCode());
        stat.setAccountDate(var.getAccountDate());
        stat.setAstChg(var.getAstChg());
        stat.setPrinAmt(var.getPrinAmt());
        stat.setOvdPrinAmt(var.getOvdPrinAmt());
        stat.setIntrAmt(var.getIntrAmt());
        stat.setOvdIntrAmt(var.getOvdIntrAmt());
        stat.setFeeAmt(var.getFeeAmt());
        stat.setOvdFeeAmt(var.getOvdFeeAmt());
        stat.setPrinPenalAmt(var.getPrinPenalAmt());
        stat.setIntrPenalAmt(var.getIntrPenalAmt());
        stat.setFeePenalAmt(var.getFeePenalAmt());
        stat.setCost(var.getCost());
        stat.setOrgDistpftAmt(var.getOrgDistpftAmt());
        return stat;
    }
}
