/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */

package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAstPriceRuleDO;
import com.abssqr.plat.common.facade.model.plan.PlanAstPriceRule;
import com.google.common.collect.Lists;

import java.util.List;

/**
 * @author xiachenxiang
 * @version com.abssqr.plat.common.model.convertor: PlanAstPriceRuleConvert.java, v 0.1 2019-11-07 11:31 AM xiachenxiang Exp $
 */
public class PlanAstPriceRuleConvert {

    public static List<PlanAstPriceRuleDO> convert2DOList(List<PlanAstPriceRule> param) {
        List<PlanAstPriceRuleDO> result = Lists.newArrayList();
        if (param == null) {
            return null;
        }
        param.forEach(item -> result.add(convert2DO(item)));
        return result;
    }

    public static List<PlanAstPriceRule> convert2DomainList(List<PlanAstPriceRuleDO> param) {
        List<PlanAstPriceRule> result = Lists.newArrayList();
        if (param == null) {
            return null;
        }
        param.forEach(item -> result.add(convert2Domain(item)));
        return result;
    }

    public static PlanAstPriceRuleDO convert2DO(PlanAstPriceRule param) {
        if (param == null) {
            return null;
        }
        PlanAstPriceRuleDO result = new PlanAstPriceRuleDO();
        result.setPlanNo(param.getPlanNo());
        result.setTermNo(param.getTermNo());
        result.setIntrDiscountRate(param.getIntrDiscountRate());

        return result;
    }

    public static PlanAstPriceRule convert2Domain(PlanAstPriceRuleDO param) {
        if (param == null) {
            return null;
        }
        PlanAstPriceRule result = new PlanAstPriceRule();
        result.setPlanNo(param.getPlanNo());
        result.setTermNo(param.getTermNo());
        result.setIntrDiscountRate(param.getIntrDiscountRate());
        return result;
    }

}
