/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanClearingLogDO;
import com.abssqr.plat.common.facade.enums.TransCodeEnum;
import com.abssqr.plat.common.model.domain.clearing.PlanClearingLog;

/**
 *
 * @author hanfei
 * @version $Id: PlanAstStreamConvert.java, v 0.1 2018-01-05 下午2:56 hanfei Exp $ 
 */
public class PlanClearingLogConvert {
    
    public static PlanClearingLogDO convert2DO(PlanClearingLog obj) {
        if (obj == null) {
            return null;
        }
        PlanClearingLogDO instance = new PlanClearingLogDO();
        
        instance.setId(obj.getId());
        instance.setBizNo(obj.getBizNo());
        instance.setSeqNo(obj.getSeqNo());
        instance.setPlanNo(obj.getPlanNo());
        instance.setExecTms(obj.getExecTms());
        instance.setTransCode(obj.getTransCode().getCode());
        instance.setCntPtyCode(obj.getCntPtyCode());
        instance.setAccountDate(obj.getAccountDate());
        instance.setAmt(obj.getTransAmt());
        
        return instance;
    }
    
    public static PlanClearingLog convert2Domain(PlanClearingLogDO obj) {
        if (obj == null) {
            return null;
        }
        PlanClearingLog instance = new PlanClearingLog();
        
        instance.setId(obj.getId());
        instance.setBizNo(obj.getBizNo());
        instance.setSeqNo(obj.getSeqNo());
        instance.setPlanNo(obj.getPlanNo());
        instance.setExecTms(obj.getExecTms());
        instance.setTransCode(TransCodeEnum.getByCode(obj.getTransCode()));
        instance.setCntPtyCode(obj.getCntPtyCode());
        instance.setAccountDate(obj.getAccountDate());
        instance.setTransAmt(obj.getAmt());
        
        return instance;
    }
}
