/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanMonitorRecordDO;
import com.abssqr.plat.common.facade.enums.PlanIndicatorEnum;
import com.abssqr.plat.common.facade.model.plan.PlanMonitor;
import com.abssqr.plat.common.facade.model.plan.PlanMonitorRecord;

import java.math.BigDecimal;

/**
 *
 * @author yangcheng
 * @version PlanMonitorRecordConvertor.java, v0.12019-07-0415:25 yangchengExp$
 */
public class PlanMonitorRecordConvertor {
    
    public static PlanMonitorRecord convert2Domain(PlanMonitorRecordDO var) {
        if (var == null) {
            return null;
        }
        PlanMonitorRecord res = new PlanMonitorRecord();
        //序号
        res.setId(var.getId());
        //超出指标值
        res.setExcessValue(var.getExcessValue());
        //计划编号
        res.setPlanNo(var.getPlanNo());
        //监控指标
        res.setIndicator(PlanIndicatorEnum.getByCode(var.getIndicator()));
        //监控事项名称
        res.setMonitorName(var.getMonitorName());
        //指标值
        res.setValue(var.getValue());
        //创建时间
        res.setGmtCreate(var.getGmtCreate());
        return res;
    }
    
    public static PlanMonitorRecordDO  planMonitor2RecordDO(PlanMonitor param, BigDecimal excessValue){
        PlanMonitorRecordDO result=new PlanMonitorRecordDO();
        //value 当前事项指标值
        result.setValue(param.getValue());
        //monitorId 事项ID
        result.setMonitorId(param.getId());
        //excessValue 当前超标值
        result.setExcessValue(excessValue);
        //planNo 计划编号
        result.setPlanNo(param.getPlanNo());
        //indicator 监控指标
        result.setIndicator(param.getIndicator().getCode());
        //monitorName 事项名称
        result.setMonitorName(param.getName());
        
        return result;
    }
    
}
