/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanTransferRuleDO;
import com.abssqr.plat.common.facade.enums.TrCycleEnum;
import com.abssqr.plat.common.facade.model.plan.PlanTransferRule;
import com.abssqr.plat.common.facade.model.rule.AstScreenRule;
import com.general.system.common.model.Money;

import java.util.List;
import java.util.Optional;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.convertor: PlanTransferRuleConvert.java, v 0.1 2019-05-31 21:19 bangis
 * .wangdf Exp $
 */
public class PlanTransferRuleConvert {

    public static PlanTransferRule convert2TransferRuleDomain(PlanTransferRuleDO param,
                                                              List<AstScreenRule> astScreenRules) {
        if (param == null) {
            return null;
        }
        PlanTransferRule result = new PlanTransferRule();
        result.setPlanNo(param.getPlanNo());
        //resAmt 预留金额
        result.setResAmt(Money.createWithCent(param.getResAmt()));
        //trCycle 转让周期
        result.setTrCycle(TrCycleEnum.getByCode(param.getTrCycle()));
        //transferNo 转让规则
        result.setTransferNo(param.getTransferNo());
        //cycle 是否循环注水
        result.setCycle(param.getCycle());
        //slice 是否切片
        result.setSlice(param.getSlice());
        //stopTrDate 停止转让日 持续购买终止日
        result.setStopTrDate(param.getStopTrDate());
        //startTrDate 开始转让日 持续购买开始日
        result.setStartTrDate(param.getStartTrDate());
        result.setAstScreenRuleList(astScreenRules);
        return result;
    }
    
    public static PlanTransferRuleDO convert2Do(String planNo, PlanTransferRule  param) {
        if (param == null) {
            return null;
        }
        PlanTransferRuleDO result = new PlanTransferRuleDO();
        result.setPlanNo(param.getPlanNo());
        //resAmt 预留金额
        result.setResAmt(Optional.ofNullable(param.getResAmt()).map(Money::getCent).orElse(null));
        //trCycle 转让周期
        result.setTrCycle(Optional.ofNullable(param.getTrCycle()).map(TrCycleEnum::getCode).orElse(null));
        //transferNo 转让规则
        result.setTransferNo(param.getTransferNo());
        //cycle 是否循环注水
        result.setCycle(param.getCycle());
        //slice 是否切片
        result.setSlice(param.getSlice());
        //stopTrDate 停止转让日 持续购买终止日
        result.setStopTrDate(param.getStopTrDate());
        //startTrDate 开始转让日 持续购买开始日
        result.setStartTrDate(param.getStartTrDate());
        //转让编号
        result.setTransferNo(param.getTransferNo());
        return result;
    }

}
