/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.convertor;

import cn.hutool.core.util.NumberUtil;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.PlanAstReportStat;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.enums.ReportAstStatTypeEnum;
import com.general.system.common.model.Money;

/**
 *
 * @author hanfei
 * @version $Id: ReportItemStatConvert.java, v 0.1 2019-11-19 3:13 PM hanfei Exp $ 
 */
public class ReportItemStatConvert {
    
    /**
     * 合并统计项
     * @param vals
     * @return
     */
    public static PlanAstReportStat combine(PlanAstReportStat... vals) {
        PlanAstReportStat res = createReportStat();
        for (PlanAstReportStat val : vals) {
            res.setPlanNo(res.getPlanNo());
            res.setStatType(res.getStatType());
            res.setStatVal(res.getStatVal());
            res.setAstChg(NumberUtil.add(res.getAstChg() , val.getAstChg()).longValue());
            res.setPrinAmt(addWithNull(res.getPrinAmt(), val.getPrinAmt()));
            res.setOvdPrinAmt(addWithNull(res.getOvdPrinAmt(), val.getOvdPrinAmt()));
            res.setIntrAmt(addWithNull(res.getIntrAmt(), val.getIntrAmt()));
            res.setOvdIntrAmt(addWithNull(res.getOvdIntrAmt(), val.getOvdIntrAmt()));
            res.setFeeAmt(addWithNull(res.getFeeAmt(), val.getFeeAmt()));
            res.setOvdFeeAmt(addWithNull(res.getOvdFeeAmt(), val.getOvdFeeAmt()));
            res.setPrinPenalAmt(addWithNull(res.getPrinPenalAmt(), val.getPrinPenalAmt()));
            res.setIntrPenalAmt(addWithNull(res.getIntrPenalAmt(), val.getIntrPenalAmt()));
            res.setFeePenalAmt(addWithNull(res.getFeePenalAmt(), val.getFeePenalAmt()));
            // 费用
            res.setOtherFeeAmt(addWithNull(res.getOtherFeeAmt(), val.getOtherFeeAmt()));
            res.setOtherFeePenalAmt(addWithNull(res.getOtherFeePenalAmt(), val.getOtherFeePenalAmt()));
            res.setCost(addWithNull(res.getCost(), val.getCost()));
        }
        return res;
    }
    
    /**
     * 初始化统计项
     * @return
     */
    private static PlanAstReportStat createReportStat() {
        return createReportStat(null, null, "");
    }
    
    /**
     * 初始化统计项
     * @param type
     * @param eventCode
     * @param val
     * @return
     */
    public static PlanAstReportStat createReportStat(ReportAstStatTypeEnum type, EventCodeEnum eventCode, String val) {
        PlanAstReportStat res = new PlanAstReportStat();
        /**
         * 可以不设置，没用
         */
        //            res.setPlanNo();
        //            res.setAccountDate();
        
        res.setStatType((type == null) ? "" : type.getCode());
        res.setStatVal(val);
        res.setEventCode((eventCode == null) ? "" : eventCode.getCode());
        res.setAstChg(0L);
        res.setPrinAmt(new Money());
        res.setOvdPrinAmt(new Money());
        res.setIntrAmt(new Money());
        res.setOvdIntrAmt(new Money());
        res.setFeeAmt(new Money());
        res.setOvdFeeAmt(new Money());
        res.setPrinPenalAmt(new Money());
        res.setIntrPenalAmt(new Money());
        res.setFeePenalAmt(new Money());
        res.setOtherFeeAmt(new Money());
        res.setOtherFeePenalAmt(new Money());
        res.setCost(new Money());
        return res;
    }
    
    
    public static Money addWithNull(Money one , Money other){
        Money result = new Money();
        if (one != null){
            result.addTo(one);
        }
        if (other != null){
            result.addTo(other);
        }
        return result;
    }
}
