/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.model.convertor.page;

import com.abssqr.plat.common.dal.mysql.auto.paging.BasePage;
import com.abssqr.plat.common.facade.base.BasePageQryParam;

import java.util.function.Consumer;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.convertor.page: PageConvert.java, v 0.1 2019-05-30 13:03 bangis.wangdf Exp $
 */
public class PageConvert {
    public static <R extends BasePage, T extends BasePageQryParam> R toDBBasePate(Class<R> rClass, T param,
                                                                                  Consumer<R> consumer) {
        try {
            R r = rClass.newInstance();
            r.setLimit(param.getPageSize());
            r.setCurrPageNo(param.getPageNum());
            consumer.accept(r);
            return r;
        } catch (InstantiationException e) {
            e.printStackTrace();
        } catch (IllegalAccessException e) {
            e.printStackTrace();
        }
        return null;
    }

}
