/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.ast;

import com.abssqr.plat.common.facade.enums.OwnStatusEnum;
import com.general.system.common.model.BaseEntity;
import org.apache.commons.lang3.StringUtils;

/**
 * 资产所属信息
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.domain.ast: AstOwnership.java, v 0.1 2019-05-30 11:05 zhenxuan.luo Exp $
 */
public class AstOwnership extends BaseEntity {
    
    /**
     * 资产的出资机构
     */
    private String lenderOrgCode;
    
    /**
     * 上次所属机构
     */
    private String lastOwnOrg;
    
    /**
     * 所属机构
     */
    private String ownOrg;
    /**
     * 资产归属状态
     */
    private OwnStatusEnum ownStatus;
    
    public boolean isTransfered() {
        return !StringUtils.equals(ownOrg, lenderOrgCode);
    }
    
    public String getLenderOrgCode() {
        return lenderOrgCode;
    }
    
    public void setLenderOrgCode(String lenderOrgCode) {
        this.lenderOrgCode = lenderOrgCode;
    }
    
    public String getLastOwnOrg() {
        return lastOwnOrg;
    }
    
    public void setLastOwnOrg(String lastOwnOrg) {
        this.lastOwnOrg = lastOwnOrg;
    }
    
    public String getOwnOrg() {
        return ownOrg;
    }
    
    public void setOwnOrg(String ownOrg) {
        this.ownOrg = ownOrg;
    }
    
    public OwnStatusEnum getOwnStatus() {
        return ownStatus;
    }
    
    public void setOwnStatus(OwnStatusEnum ownStatus) {
        this.ownStatus = ownStatus;
    }
}