/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.ast;

import com.abssqr.plat.common.facade.constants.AbssqrConstants;
import com.abssqr.plat.common.facade.enums.LoanTypeEnum;
import com.abssqr.plat.common.facade.enums.PeriodTypeEnum;
import com.abssqr.plat.common.facade.enums.RateTypeEnum;
import com.abssqr.plat.common.facade.enums.RepayMethodEnum;
import com.general.system.common.model.BaseEntity;

import java.math.BigDecimal;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.domain.ast: LoanRate.java, v 0.1 2019-05-30 15:53 zhenxuan.luo Exp $
 */
public class LoanProperty extends BaseEntity {
    
    /**
     * 还款方式
     */
    private RepayMethodEnum repayMethod;
    
    /**
     * 还款周期
     */
    private int repayPeriod;
    
    /**
     * 还款周期类型
     */
    private PeriodTypeEnum repayPeriodType;
    
    /**
     * 年化天数
     */
    private Integer rateDays;
    
    /**
     * 初始利率
     */
    private BigDecimal rate = BigDecimal.ZERO;
    
    /**
     * 初始年化利率
     */
    private BigDecimal pnyRate = BigDecimal.ZERO;
    
    /**
     * 利率类型
     */
    private RateTypeEnum rateType;
    
    /**
     * 分期数
     */
    private int termCnt;
    
    /**
     * 贷款类型
     */
    private LoanTypeEnum loanType;
    
    /**
     * 贷款用途
     */
    private String purpose;
    
    public BigDecimal getYearRate() {
        return rate.multiply(new BigDecimal(360)).divide(new BigDecimal(rateDays), AbssqrConstants.DECIMAL_SCALE,
                AbssqrConstants.DECIMAL_ROUNDING_MODE);
    }
    
    public RepayMethodEnum getRepayMethod() {
        return repayMethod;
    }
    
    public void setRepayMethod(RepayMethodEnum repayMethod) {
        this.repayMethod = repayMethod;
    }
    
    public int getRepayPeriod() {
        return repayPeriod;
    }
    
    public void setRepayPeriod(int repayPeriod) {
        this.repayPeriod = repayPeriod;
    }
    
    public PeriodTypeEnum getRepayPeriodType() {
        return repayPeriodType;
    }
    
    public void setRepayPeriodType(PeriodTypeEnum repayPeriodType) {
        this.repayPeriodType = repayPeriodType;
    }
    
    public Integer getRateDays() {
        return rateDays;
    }
    
    public void setRateDays(Integer rateDays) {
        this.rateDays = rateDays;
    }
    
    public BigDecimal getRate() {
        return rate;
    }
    
    public void setRate(BigDecimal rate) {
        this.rate = rate;
    }
    
    public RateTypeEnum getRateType() {
        return rateType;
    }
    
    public void setRateType(RateTypeEnum rateType) {
        this.rateType = rateType;
    }
    
    public int getTermCnt() {
        return termCnt;
    }
    
    public void setTermCnt(int termCnt) {
        this.termCnt = termCnt;
    }
    
    public LoanTypeEnum getLoanType() {
        return loanType;
    }
    
    public void setLoanType(LoanTypeEnum loanType) {
        this.loanType = loanType;
    }
    
    public String getPurpose() {
        return purpose;
    }
    
    public void setPurpose(String purpose) {
        this.purpose = purpose;
    }
    
    public BigDecimal getPnyRate() {
        return pnyRate;
    }
    
    public void setPnyRate(BigDecimal pnyRate) {
        this.pnyRate = pnyRate;
    }
}