/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2017 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.contract;

import com.abssqr.plat.common.model.domain.ast.LoanCustInfo;
import com.abssqr.plat.common.model.domain.ast.LoanProperty;
import com.general.system.common.model.Money;

import java.util.Date;

/**
 * 贷款协议
 *
 * @author zhenxuan.luo
 * @version com.abssqr.common.model.domain.contract: LoanContract.java, v 0.1 2017-12-05 下午20:26 zhenxuan.luo Exp $
 */
public class LoanContract extends BaseContract {
    
    /**
     * 贷款属性
     */
    final private LoanProperty loanProperty = new LoanProperty();
    /**
     * 贷款客户信息
     */
    final private LoanCustInfo loanCustInfo = new LoanCustInfo();
    /**
     * 权益归属机构
     */
    private String lenderOrgCode;
    /**
     * 资产编号
     */
    private String astNo;
    
    /**
     * 用户ID
     */
    private String userId;
    
    /**
     * 外部资产编号
     */
    private String outAstNo;
    /**
     * 发放金额
     */
    private Money disbAmount = new Money(0);
    /**
     * 支用日期（放款日期）
     */
    private Date disbDate;
    
    public String getLenderOrgCode() {
        return lenderOrgCode;
    }
    
    public void setLenderOrgCode(String lenderOrgCode) {
        this.lenderOrgCode = lenderOrgCode;
    }
    
    public String getAstNo() {
        return astNo;
    }
    
    public void setAstNo(String astNo) {
        this.astNo = astNo;
    }
    
    public Money getDisbAmount() {
        return disbAmount;
    }
    
    public void setDisbAmount(Money disbAmount) {
        this.disbAmount = disbAmount;
    }
    
    public Date getDisbDate() {
        return disbDate;
    }
    
    public void setDisbDate(Date disbDate) {
        this.disbDate = disbDate;
    }
    
    public LoanProperty getLoanProperty() {
        return loanProperty;
    }
    
    public LoanCustInfo getLoanCustInfo() {
        return loanCustInfo;
    }
    
    public String getOutAstNo() {
        return outAstNo;
    }
    
    public void setOutAstNo(String outAstNo) {
        this.outAstNo = outAstNo;
    }
    
    public String getUserId() {
        return userId;
    }
    
    public void setUserId(String userId) {
        this.userId = userId;
    }
}