/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.common.model.domain.task;

import com.abssqr.plat.common.facade.enums.AstPackTradeTypeEnum;
import com.general.system.common.model.Money;

import java.util.Date;

/**
 * 转让任务
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.tr: TrTask.java, v 0.1 2018-01-06 00:58 hongwei.wang Exp $
 */
public class TrCtrTask extends DispatcherNode {
    private Long   id;
    /**
     * preTrAmt 预转让金额.
     */
    private Money  preTrAmt = new Money("0");
    /**
     * preTrCnt 预转让笔试.
     */
    private Long   preTrCnt = 0L;
    /**
     * batchNo 批次号.
     */
    private String               batchNo;
    /**
     * packCode 资产包编号.
     */
    private String               packCode;
    /**
     * tfrDate 转让日期.
     */
    private Date                 tfrDate;
    /**
     * 资产管理机构编码
     */
    private String               managerOrgCode;
    /**
     * packType 资产包类型 (BUY_BACK_BIZ 回购交易 , AST_TRF_BIZ 转让交易) .
     */
    private AstPackTradeTypeEnum packType;
    
    
    public Long getId() {
        return id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }
    
    public Money getPreTrAmt() {
        return preTrAmt;
    }
    
    public void setPreTrAmt(Money preTrAmt) {
        this.preTrAmt = preTrAmt;
    }
    
    public Long getPreTrCnt() {
        return preTrCnt;
    }
    
    public void setPreTrCnt(Long preTrCnt) {
        this.preTrCnt = preTrCnt;
    }
    
    public String getBatchNo() {
        return batchNo;
    }
    
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }
    
    public String getPackCode() {
        return packCode;
    }
    
    public void setPackCode(String packCode) {
        this.packCode = packCode;
    }
    
    public Date getTfrDate() {
        return tfrDate;
    }
    
    public void setTfrDate(Date tfrDate) {
        this.tfrDate = tfrDate;
    }
    
    public String getManagerOrgCode() {
        return managerOrgCode;
    }
    
    public void setManagerOrgCode(String managerOrgCode) {
        this.managerOrgCode = managerOrgCode;
    }
    
    public void addPreTrAmt(Money preTrAmt) {
        preTrCnt = preTrCnt + 1L;
        this.preTrAmt.addTo(preTrAmt);
    }
    
    public AstPackTradeTypeEnum getPackType() {
        return packType;
    }
    
    public void setPackType(AstPackTradeTypeEnum packType) {
        this.packType = packType;
    }
}
