/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.repo.analyse.impl;

import com.abssqr.plat.common.dal.mysql.auto.dao.PlanFundFileDAO;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanFundFileDO;
import com.abssqr.plat.common.facade.model.analyse.PlanFundFile;
import com.abssqr.plat.common.model.convertor.PlanFundFileConvert;
import com.abssqr.plat.common.model.repo.analyse.PlanFundFileRepo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

/**
 *
 * @author hanfei
 * @version $Id: PlanFundFileRepoImpl.java, v 0.1 2019-09-26 5:51 PM hanfei Exp $ 
 */
@Repository
public class PlanFundFileRepoImpl implements PlanFundFileRepo {
    
    @Autowired
    private PlanFundFileDAO planFundFileDAO;
    
    /**
     * desc:插入表:abs_plan_fund_file.<br/>
     * @param entity entity
     * @return int
     */
    @Override
    public int create(PlanFundFile entity){
        PlanFundFileDO file = PlanFundFileConvert.convert2Do(entity);
        return planFundFileDAO.insert(file);
    }
    
    /**
     * desc:根据文件id获取文件信息.<br/>
     * @param fileId fileId
     * @return PlanFundFileDO
     */
    @Override
    public PlanFundFile getByFileId(String fileId){
        PlanFundFileDO file = planFundFileDAO.getByFileId(fileId);
        return PlanFundFileConvert.convertDomain(file);
    }
    /**
     * desc:获取最新文件信息.<br/>
     * @return PlanFundFileDO
     */
    @Override
    public PlanFundFile queryFileInfo(String planNo){
        PlanFundFileDO file =  planFundFileDAO.queryFileInfo(planNo);
        return PlanFundFileConvert.convertDomain(file);
    }
    
}
