/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.model.repo.ast;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.AstPackDO;
import com.abssqr.plat.common.facade.enums.AstPackStatusEnum;
import com.abssqr.plat.common.facade.enums.AstPackTradeTypeEnum;
import com.abssqr.plat.common.model.domain.ast.Pack;
import com.abssqr.plat.common.model.domain.ast.LoanAstBuyBackPack;

import java.util.Date;
import java.util.List;

/**
 * @author guozhenhua
 * @version com.abssqr.plat.common.model.repo.pack: PackRepository.java, v 0.1 2018-02-26 下午4:18 guozhenhua Exp $
 */
public interface PackRepository {


    /**
     * 新增资产包
     *
     * @param pack
     * @return
     */
    int create(Pack pack);
    /**
     * 新增资产包
     *
     * @param pack
     * @return
     */
    int create(LoanAstBuyBackPack pack);

    int createBatch(List<Pack> packs);


    /**
     * 更新资产包状态
     * @param packs
     * @param packStatus
     * @param oldPackStatus
     */
    void  updatePackStatus(List<Pack> packs, AstPackStatusEnum packStatus, AstPackStatusEnum oldPackStatus) ;
    
    List<AstPackDO> getByPlanNo(String planNo, AstPackTradeTypeEnum tradeTypeEnum);

    AstPackDO getLastDayPackByPlanNo(String planNo, Date scenDate, AstPackTradeTypeEnum tradeTypeEnum);

    List<AstPackDO> getByManagerOrgCode(String managerOrgCode, Date accountDate, AstPackStatusEnum status, AstPackTradeTypeEnum tradeTypeEnum);

    AstPackDO getByPackNo(String packCode);
    
    /**
     * 查询资产包
     * @param scenDate
     * @param status
     * @return
     */
    List<AstPackDO> selectPackByStatus(Date scenDate, AstPackStatusEnum status, AstPackTradeTypeEnum tradeTypeEnum);

    /**
     * 获取指定状态的资产包数量
     * @param time
     * @param status
     * @return
     */
    Long countByStatusAndTime(Date time, String status, AstPackTradeTypeEnum tradeTypeEnum);

    /**
     * 锁资产包
     * @param packCode
     * @return
     */
    AstPackDO lockByPackCode(String packCode);
}
