/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */

package com.abssqr.plat.common.model.repo.plan.impl;

import com.abssqr.plat.common.dal.mysql.auto.dao.PlanAstPriceRuleDAO;
import com.abssqr.plat.common.model.convertor.PlanAstPriceRuleConvert;
import com.abssqr.plat.common.facade.model.plan.PlanAstPriceRule;
import com.abssqr.plat.common.model.repo.plan.PlanAstPriceRuleRepo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author xiachenxiang
 * @version com.abssqr.plat.common.model.repo.plan.impl: PlanAstPriceRuleRepoImpl.java, v 0.1 2019-11-07 11:27 AM xiachenxiang Exp $
 */
@Repository
public class PlanAstPriceRuleRepoImpl implements PlanAstPriceRuleRepo {

    @Autowired
    private PlanAstPriceRuleDAO planAstPriceRuleDAO;


    @Override
    public int insertBatch(List<PlanAstPriceRule> list) {
        return planAstPriceRuleDAO.insertBatch(PlanAstPriceRuleConvert.convert2DOList(list));
    }

    @Override
    public List<PlanAstPriceRule> queryByPriceRulePlanNo(String planNo) {
        return PlanAstPriceRuleConvert.convert2DomainList(planAstPriceRuleDAO.queryByPriceRulePlanNo(planNo));
    }


    @Override
    public int deleteByPlanNo(String planNo) {
        return planAstPriceRuleDAO.deleteByPlanNo(planNo);
    }
}
