/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.repo.plan.impl;

import com.abssqr.plat.common.dal.mysql.auto.dao.PlanCapitalLogDAO;
import com.abssqr.plat.common.dal.mysql.auto.paging.PlanCapitalLogListPage;
import com.abssqr.plat.common.facade.model.plan.PlanCapitalLog;
import com.abssqr.plat.common.facade.param.plan.log.PlanCapitalLogPageQryParam;
import com.abssqr.plat.common.model.convertor.PlanCapitalLogConvertor;
import com.abssqr.plat.common.model.repo.plan.PlanCapitalLogRepo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.repo.plan.impl: PlanCapitalLogRepoImpl.java, v 0.1 2019-05-28 17:23 zhenxuan.luo Exp $ 
 */
@Component
public class PlanCapitalLogRepoImpl implements PlanCapitalLogRepo {
    
    @Autowired
    private PlanCapitalLogDAO planCapitalLogDAO;
    
    @Override
    public int insert(PlanCapitalLog entity) {
        if (null == entity) {
            return 0;
        }
        return planCapitalLogDAO.insert(PlanCapitalLogConvertor.convert2DO(entity));
    }
    
    @Override
    public PlanCapitalLogListPage getByPlanNo(PlanCapitalLogPageQryParam param) {
        
        PlanCapitalLogListPage page = new PlanCapitalLogListPage();
        page.setPlanNo(param.getPlanNo());
        page.setTransType(param.getTransType());
        page.setAccountDate(param.getAccountDate());
        page.setLimit(param.getPageSize());
        page.setCurrPageNo(param.getPageNum());

        return planCapitalLogDAO.getForPage(page);
    }
    
    @Override
    public PlanCapitalLog getBySeqNo(String seqNo, String planNo) {
        return PlanCapitalLogConvertor.convert2Domain(planCapitalLogDAO.getBySeqNo(seqNo, planNo));
    }
}