/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.model.repo.pool;

import com.abssqr.plat.common.dal.mysql.auto.paging.PactsAstMatchPage;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.AstPoolItem;
import com.abssqr.plat.common.model.domain.ast.AstPoolEntity;

import java.util.Date;
import java.util.List;

/**
 * 资产池仓储
 *
 * @author guozhenhua
 * @version com.abssqr.plat.common.model.repo.pool: AstPoolRepository.java, v 0.1 2018-01-07 下午1:04 guozhenhua Exp $
 */
public interface AstPoolRepository {

    /**
     * 资产池新增资产
     *
     * @param astPoolEntity
     */
    int create(AstPoolEntity astPoolEntity);

    /**
     * 获取待刷选资产
     *
     * @param pactsAstMatchPage
     * @return
     */
    PactsAstMatchPage queryForAstMatch(PactsAstMatchPage pactsAstMatchPage);

    /**
     * 删除资产
     *
     * @param astNo
     * @param termNo
     * @return
     */
    int delete(String astNo, int termNo);

    /**
     * 获取资产分期组成AstPoolItem
     * @param astNo
     * @return
     */
    List<AstPoolItem> getAstPoolItems(Date sysDate, String astNo);

    /**
     * 更新资产部分转让
     * @param astNo
     * @param maxTerm
     */
    void updateSlice(String astNo, Integer maxTerm);
    
    /**
     * 获取资产池资产
     * @param astNo
     * @param ownOrg
     * @return
     */
    AstPoolEntity getAstPoolItem(String astNo, String ownOrg);
}