/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2020 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.repo.rule.impl;

import com.abssqr.plat.common.dal.mysql.auto.dao.AstPriceRuleDAO;
import com.abssqr.plat.common.facade.model.rule.AstPriceRule;
import com.abssqr.plat.common.model.convertor.AstPriceRuleConvert;
import com.abssqr.plat.common.model.repo.rule.AstPriceRuleRepo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 计价规则存储层
 * @author hanfei
 * @version $Id: AstPriceRuleRepoImpl.java, v 0.1 2020-02-07 10:13 PM hanfei Exp $ 
 */
@Repository
public class AstPriceRuleRepoImpl implements AstPriceRuleRepo {
    
    @Autowired
    private AstPriceRuleDAO astPriceRuleDAO;
    

    @Override
    public int savePriceRule(String abssqrProdCode, List<AstPriceRule> list){
        astPriceRuleDAO.deleteByAbsProdCode(abssqrProdCode);
        return astPriceRuleDAO.insertBatch(AstPriceRuleConvert.convertDos(list));
    }
    

    @Override
    public List<AstPriceRule> getByAbsProdCode(String abssqrProdCode){
        return AstPriceRuleConvert.convertDomains(astPriceRuleDAO.getByAbsProdCode(abssqrProdCode));
    }
}
