/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.util.base.autoconfig;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 *
 * @author guozhenhua
 * @version com.abssqr.plat.common.util.base.autoconfig: AbsConfig.java, v 0.1 2018-04-29 下午8:51 guozhenhua Exp $
 */
@Component
@ConfigurationProperties(prefix="wkabs")
public class AbsConfig {
    
    public static int timeStampBuffer=5;
    /**
     * 是否使用系统时间
     */
    private boolean useSysDate;
    /**
     * 环境标识
     */
    private String env;
    /**
     * 数据库名
     */
    private String wkxwDbName;
    /**
     * 数据库表名前缀
     */
    private String wkxwSynonymPre="";
    /**
     * 数据库表名后缀
     */
    private String wkxwSynonymAft="";
    /**
     * 还款计划表是否使用自有表
     */
    private boolean wkxwRepayPlanSelf = false;
    /**
     * 数据库表名前缀
     */
    private String dbLink = "WKXW_DLK";

    private String bugFix = "false";
    /**
     * 是否记录bal类型的ReportEntity
     */
    private String recordBalReport = "false";
    
    private long performThreshold = 1000L;
    /**
     * 跑测试用例标识，默认为false为正常环境，true时表示执行测试用例，不会捞取dispatch 任务
     */
    private boolean testFlag = false;
    /**
     * 水位校验是否抛出异常
     */
    private boolean astCheckException = false;

    public String getEnv() {
        return env;
    }

    public void setEnv(String env) {
        this.env = env;
    }

    @Deprecated
    public boolean isUseSysDate() {
        return useSysDate;
    }
    
    @Deprecated
    public void setUseSysDate(boolean useSysDate) {
        this.useSysDate = useSysDate;
    }

    public boolean isTestFlag() {
        return testFlag;
    }

    public void setTestFlag(boolean testFlag) {
        this.testFlag = testFlag;
    }

    public String getWkxwDbName() {
        return wkxwDbName;
    }

    public void setWkxwDbName(String wkxwDbName) {
        this.wkxwDbName = wkxwDbName;
    }

    public String getWkxwSynonymPre() {
        return wkxwSynonymPre;
    }

    public void setWkxwSynonymPre(String wkxwSynonymPre) {
        this.wkxwSynonymPre = wkxwSynonymPre;
    }

    public String getDbLink() {
        return dbLink;
    }

    public void setDbLink(String dbLink) {
        this.dbLink = dbLink;
    }

    public String getBugFix() {
        return bugFix;
    }

    public void setBugFix(String bugFix) {
        this.bugFix = bugFix;
    }

    public boolean isWkxwRepayPlanSelf() {
        return wkxwRepayPlanSelf;
    }

    public void setWkxwRepayPlanSelf(boolean wkxwRepayPlanSelf) {
        this.wkxwRepayPlanSelf = wkxwRepayPlanSelf;
    }
    
    public String getRecordBalReport() {
        return recordBalReport;
    }
    
    public void setRecordBalReport(String recordBalReport) {
        this.recordBalReport = recordBalReport;
    }

    public String getWkxwSynonymAft() {
        return wkxwSynonymAft;
    }

    public void setWkxwSynonymAft(String wkxwSynonymAft) {
        this.wkxwSynonymAft = wkxwSynonymAft;
    }
    
    public long getPerformThreshold() {
        return performThreshold;
    }
    
    public void setPerformThreshold(long performThreshold) {
        this.performThreshold = performThreshold;
    }

    public int getTimeStampBuffer() {
        return timeStampBuffer;
    }

    public void setTimeStampBuffer(int timeStampBuffer) {
        AbsConfig.timeStampBuffer = timeStampBuffer;
    }
    
    public boolean isAstCheckException() {
        return astCheckException;
    }
    
    public void setAstCheckException(boolean astCheckException) {
        this.astCheckException = astCheckException;
    }
}
