/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */

package com.abssqr.plat.core.service.action;

import com.abssqr.plat.common.facade.enums.TransCodeEnum;
import com.abssqr.plat.core.service.action.impl.*;
import com.google.common.collect.Maps;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author guozhenhua
 * @version com.abssqr.plat.processor.factory: TransActionFactory.java, v 0.1 2017-12-12 下午10:35 guozhenhua Exp $
 */
@Component
public class CommonTransActionFactory implements InitializingBean {

    @Autowired
    private InitSyncAction         initSyncAction;
    @Autowired
    private RepoSyncAction         repoSyncAction;
    @Autowired
    private SettleSyncAction       settleSyncAction;
    @Autowired
    private GrantReverseSyncAction grantReverseSyncAction;
    @Autowired
    private ExemptSyncAction       exemptSyncAction;
    @Autowired
    private AdjTermSyncAction      adjTermSyncAction;
    @Autowired
    private WtfSyncAction          wtfSyncAction;

    @Autowired
    private HangFeeAction hangFeeAction;

    private Map<TransCodeEnum, AstTransAction> astTransActionMap = Maps.newHashMap();

    @Override
    public void afterPropertiesSet() throws Exception {
        astTransActionMap.put(initSyncAction.getEventSceneCode(), initSyncAction);
        astTransActionMap.put(repoSyncAction.getEventSceneCode(), repoSyncAction);
        astTransActionMap.put(settleSyncAction.getEventSceneCode(), settleSyncAction);
        astTransActionMap.put(grantReverseSyncAction.getEventSceneCode(), grantReverseSyncAction);
        astTransActionMap.put(exemptSyncAction.getEventSceneCode(), exemptSyncAction);
        astTransActionMap.put(adjTermSyncAction.getEventSceneCode(), adjTermSyncAction);
        astTransActionMap.put(wtfSyncAction.getEventSceneCode(), wtfSyncAction);
        astTransActionMap.put(hangFeeAction.getEventSceneCode(),hangFeeAction);
    }

    public AstTransAction getAction(TransCodeEnum transCodeEnum) {
        AstTransAction astTransAction = astTransActionMap.get(transCodeEnum);
        return astTransAction;
    }
}
