/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.core.service.action.impl;

import com.abssqr.plat.common.facade.enums.TransCodeEnum;
import com.abssqr.plat.common.model.domain.ast.Loan;
import com.abssqr.plat.common.model.domain.astSync.BaseTsfRes;
import com.abssqr.plat.common.model.domain.astSync.LoanAstSyncTrans;
import com.abssqr.plat.common.util.loggers.CommonLoggers;
import com.abssqr.plat.core.service.action.BaseSyncAction;
import com.abssqr.plat.core.service.ast.LoanAstAdjTermManager;
import com.general.system.common.util.LogUtil;
import org.slf4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 分期调整同步处理器
 *
 * @author guozhenhua
 * @version com.abssqr.plat.core.service.action.impl: AdjTermSyncAction.java, v 0.1 2017-12-21 上午11:57 guozhenhua Exp $
 */
@Component
public class AdjTermSyncAction extends BaseSyncAction {
    
    private final static Logger LOGGER = CommonLoggers.COMMON_AST;
    
    @Autowired
    private LoanAstAdjTermManager loanAstAdjTermManager;
    
    @Override
    protected Loan doExecute(BaseTsfRes baseTsfRes, LoanAstSyncTrans loanAstSyncTrans, Loan loan) {
        LogUtil.info(LOGGER, "分期调整处理开始,outAstId:{0}", baseTsfRes.getLoanAstSyncBill().getLoanNo());
    
        loanAstAdjTermManager.process(baseTsfRes, loanAstSyncTrans, loan);
        
        LogUtil.info(LOGGER, "分期调整处理结束,outAstId:{0},AstIds:{1}", loan.getOutAstNo(), loan.getAstNo());
        
        return loan;
    }
    
    @Override
    public TransCodeEnum getEventSceneCode() {
        return TransCodeEnum.ADJ_TERM;
    }
}