/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.core.service.org;

import com.abssqr.plat.common.dal.mysql.auto.paging.OrgListPage;
import com.abssqr.plat.common.facade.model.org.Organization;
import com.abssqr.plat.common.facade.param.org.OrgEditParam;
import com.abssqr.plat.common.facade.param.org.OrgPageQryParam;
import com.abssqr.plat.common.model.repo.org.OrgRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 参与方机构管理
 * @author yaphet
 * @version com.abssqr.plat.core.service.org: OrgManager.java, v 0.1 2018-01-21 下午3:49 yaphet Exp $
 */
@Component
public class OrgManager {
    @Autowired
    private OrgRepository orgRepository;

    /**
     * 机构分页查询
     *
     * @param orgListPage
     * @return
     */

    public OrgListPage getOrgList(OrgPageQryParam orgListPage) {
        return orgRepository.getOrgList(orgListPage);
    }

    /**
     * @param organization
     * @return
     * @description 添加或修改机构
     */

    public String addOrUpdate(OrgEditParam organization) {
        return orgRepository.addOrUpdate(organization);
    }

    /**
     * 获取机构
     *
     * @param orgCode
     * @return
     */

    public Organization getOrg(String orgCode) {
        return orgRepository.getOrgByCode(orgCode);
    }
}
