/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.core.service.plan;

import com.abssqr.plat.common.facade.model.plan.InvestStructure;
import com.abssqr.plat.common.model.repo.plan.PlanInvestStructureRepo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 投资结构核心组件
 * @author bangis.wangdf
 * @version com.abssqr.plat.core.service.plan: PlanInvestStructureManager.java, v 0.1 2019-05-31 22:38 bangis.wangdf Exp $ 
 */
@Component
public class PlanInvestStructureManager {
    @Autowired
    private PlanInvestStructureRepo planInvestStructureRepo;
    
    /**
     * 获取投资结构
     * @param planNo
     * @return
     */
    public List<InvestStructure> selectByPlanNo(String planNo) {
        return planInvestStructureRepo.selectByPlanNo(planNo);
    }
    
    /**
     * 更新投资结构
     * @param planNo
     * @param investStructures
     */
    public void addOrUpdate(String planNo, List<InvestStructure> investStructures) {
        //先清理后增加，
        planInvestStructureRepo.cleanByPlanNo(planNo);
        planInvestStructureRepo.add(planNo, investStructures);
    }
}
