/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.core.service.plan;

import com.abssqr.plat.common.facade.model.plan.PlanTransferRule;
import com.abssqr.plat.common.model.repo.plan.PlanTransferRuleRepo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 转让规则组件
 * @author bangis.wangdf
 * @version com.abssqr.plat.core.service.plan: PlanTransferRuleServiceManager.java, v 0.1 2019-05-31 22:07 bangis.wangdf Exp $
 */
@Component
public class PlanTransferRuleManager {
    @Autowired
    private PlanTransferRuleRepo planTransferRuleRepo;
    
    /**
     * 转让规则组件
     * @param planNo
     * @param transferRule
     */
    public void addOrUpdate(String planNo, PlanTransferRule transferRule) {
        PlanTransferRule planTransferRule = planTransferRuleRepo.getByPlanNo(planNo);

        if (planTransferRule == null) {
            planTransferRuleRepo.add(planNo, transferRule);
        } else {
            transferRule.setTransferNo(planTransferRule.getTransferNo());
            planTransferRuleRepo.update(planNo, transferRule);
        }
        
    }
    
    /**
     * 查询计划
     * @param planNo
     * @return
     */
    public PlanTransferRule getByPlanNo(String planNo) {
        return planTransferRuleRepo.getByPlanNo(planNo);
    }
}
