/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.core.service.report.calc.impl;

import com.abssqr.plat.common.facade.constants.AbssqrConstants;
import com.abssqr.plat.common.facade.enums.ReportAstStatTypeEnum;
import com.abssqr.plat.common.facade.model.report.ReportItem;
import com.abssqr.plat.common.model.domain.ast.Loan;
import com.abssqr.plat.common.model.domain.ast.LoanInstal;
import com.abssqr.plat.common.model.domain.loanTrans.LoanInstalLog;
import com.abssqr.plat.common.model.domain.loanTrans.LoanLog;
import com.google.common.collect.Lists;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.core.service.report.calc.impl: CommonItemCalc.java, v 0.1 2019-06-27 00:59 zhenxuan.luo Exp $ 
 */
@Component
public class CommonItemCalc extends BaseReportItemCalc {
    
    public final static String COMMON_VAL = AbssqrConstants.COMMON_VAL;
    
    @Override
    protected ReportAstStatTypeEnum getType() {
        return ReportAstStatTypeEnum.ALL;
    }
    
    @Override
    public List<ReportItem> calcByInstal(Loan loan, LoanInstal loanInstal, Date accountDate) {
        return buildCommonItem();
    }
    
    @Override
    public List<ReportItem> calcByLog(LoanLog loanLog, LoanInstalLog log) {
        return buildCommonItem();
    }
    
    private List<ReportItem> buildCommonItem() {
        ReportItem reportItem = new ReportItem();
        reportItem.setAstStatType(getType());
        reportItem.setAstStatVal(COMMON_VAL);
        
        return Lists.newArrayList(reportItem);
    }
}