/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.test;

import java.sql.SQLException;
import java.util.Date;
import java.util.List;

import cn.hutool.db.Db;
import cn.hutool.db.Entity;
import com.general.system.common.model.BaseResult;
import com.general.system.common.util.DateTimeUtil;
import com.general.system.common.util.VarChecker;
import org.springframework.jdbc.datasource.DriverManagerDataSource;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.web.controller: DemoAcctController.java, v 0.1 2019-12-15 09:28 bangis.wangdf Exp $
 */

public class DemoAcctDaySet {
    Db abssqrDb;
    Db wkxtDb;

    void init() {
        if (abssqrDb == null && wkxtDb == null) {
            abssqrDb = new Db(new DriverManagerDataSource("jdbc:oracle:thin:@120.27.61.17:1521:ORCL",
                "abssqr",
                "JUEDUI2tech"));
            wkxtDb = new Db(new DriverManagerDataSource("jdbc:oracle:thin:@120.27.61.17:1521:ORCL",
                "wkxt",
                "JUEDUI2tech"));
        }
    }

    public static void main(String[] args) {
        DemoAcctDaySet demoAcctDaySet = new DemoAcctDaySet();

        demoAcctDaySet.acctday("20191126");

       // demoAcctDaySet.nextAcctday();
    }

    public BaseResult<Boolean> acctday(String day) {
        init();
        Date absDate = DateTimeUtil.parseFromYMD(day);
        VarChecker.checkNotNull(absDate, "日期格式不正确，YYYYMMDD");

        zzz(absDate);

        return BaseResult.success(null);
    }

    public BaseResult<Boolean> nextAcctday() {
        init();
        try {
            List<Entity> abs_acct_date = abssqrDb.findAll("abs_acct_date");
            Date acct_date = abs_acct_date.get(0).getDate("ACCT_DATE");
            Date nextDay = DateTimeUtil.addDays(acct_date, 1);
            zzz(nextDay);
        } catch (SQLException e) {
            e.printStackTrace();
        }
        return BaseResult.success(null);
    }

    private void zzz(Date absDate) {
        try {
            Date wkxtDate = DateTimeUtil.addDays(absDate, -1);
            String wkxtDay = DateTimeUtil.formatYMD(wkxtDate);

            wkxtDb.execute("create or replace synonym MFS_DUE_BILL for B" + wkxtDay + "_MFS_DUE_BILL_1009");
            wkxtDb.execute("create or replace synonym MFS_DUE_BILL for B" + wkxtDay + "_MFS_LN_PACT_1009");
            wkxtDb.execute("create or replace synonym MFS_DUE_BILL for B" + wkxtDay + "_MFS_OPEN_REPAY_1009");
            wkxtDb.execute("create or replace synonym MFS_DUE_BILL for B" + wkxtDay + "_MFS_REPAY_INFO_1009");
            wkxtDb.execute("create or replace synonym MFS_DUE_BILL for B" + wkxtDay + "_MFS_REPAY_PLAN_1009");

            wkxtDb.execute("update dhcc_batch set cur_date = ?", wkxtDay);

            abssqrDb.execute("update abs_acct_date set acct_date = ?", absDate);
        } catch (SQLException e) {
            e.printStackTrace();
        }
    }
}
