package com.abssqr.plat.test.testlink.ast;

import com.abssqr.plat.common.model.enums.OrgCodeEnum;
import com.abssqr.plat.common.util.base.autoconfig.AbsConfig;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

//@ActiveProfiles("test")
public class PdShowDataNormalTest extends BaseAutoTests {

    @Autowired
    private AbsConfig config;
    
    /**
     * 资产同步
     * 新增资产
     * 存量资产
     *
     * @param iCase
     */
    @XTest(relatePath = "testlink/pdData/", testOnly = {"pdShowData_0922"})
    @Test(dataProvider = "YamlDataProvider", description = "同步数据")
    public void syncData(ICase iCase, String orgDate, String acctDate) {


        try {
            super.updateDate(orgDate, OrgCodeEnum.WK1009.getCode());
            super.updateDate(acctDate, OrgCodeEnum.ABS.getCode());
            config.setWkxwDbName("mfsbaid");
            config.setWkxwSynonymPre(".");
            config.setWkxwRepayPlanSelf(true);



        } catch (Throwable e) {
            e.getMessage();
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
    }
}
