/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.test.testlink.ast;

import com.abssqr.plat.biz.shared.scheduler.job.ast.ZLFinSerFeeJob;
import com.abssqr.plat.common.model.enums.OrgCodeEnum;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.test.testlink.ast: ZLFinSerFeeJobTest.java, v 0.1 2019-09-17 18:43 bangis.wangdf Exp $
 */
public class ZLFinSerFeeJobTest extends BaseAutoTests {

    @Autowired
    ZLFinSerFeeJob zlFinSerFeeJob;

    @XTest(relatePath = "testlink/ast/finFee")
    @Test(dataProvider = "YamlDataProvider", description = "金融服务费处理")
    public void testFinSerFee(ICase iCase, String acctDate) {
        try {
            
            super.updateDate(acctDate, OrgCodeEnum.WK1009.getCode());
            zlFinSerFeeJob.setZlOrgCode("1009");
            zlFinSerFeeJob.doExecute();
            
        }catch (Exception e){
            e.printStackTrace();
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
    }
}
