package com.abssqr.plat.test.testlink.plan;

import com.abssqr.plat.common.facade.param.plan.alloc.PlanAllocDetailQryParam;
import com.abssqr.plat.common.facade.result.plan.PlanAllocVO;
import com.abssqr.plat.common.facade.service.plan.PlanAllocService;
import com.abssqr.plat.common.model.enums.OrgCodeEnum;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import com.general.system.common.util.DateTimeUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

import static org.unitils.reflectionassert.ReflectionAssert.assertReflectionEquals;

/**
 * 获取页面分配计划详情-- 获取分配划并进行分配试算
 */
public class GetPlanAllocDetailNormalTest extends BaseAutoTests {

    @Autowired
    private PlanAllocService planAllocService;

    @XTest(relatePath = "testlink/plan/getPlanAllocDetail")
    @Test(dataProvider = "YamlDataProvider", description = "获取分配划并进行分配试算" )
    public void testPlanAllocDetail(ICase iCase, String acctDate, PlanAllocDetailQryParam param, PlanAllocVO expPlanAlloc) {
        try {
            // 更新会计日期
            super.updateDate(acctDate, OrgCodeEnum.ABS.getCode());

            // 调用接口
            PlanAllocVO acpPlanAlloc = planAllocService.getPlanAllocDetail(param);

            // 校验数据
            expPlanAlloc.setPayDate(DateTimeUtil.getStandardDate(expPlanAlloc.getPayDate()));
            expPlanAlloc.setClearDate(DateTimeUtil.getStandardDate(expPlanAlloc.getClearDate()));
            expPlanAlloc.setBeginDate(DateTimeUtil.getStandardDate(expPlanAlloc.getBeginDate()));
            expPlanAlloc.setEndDate(DateTimeUtil.getStandardDate(expPlanAlloc.getEndDate()));
            expPlanAlloc.setInitCalcDate(DateTimeUtil.getStandardDate(expPlanAlloc.getInitCalcDate()));
            expPlanAlloc.setEffectDate(DateTimeUtil.getStandardDate(expPlanAlloc.getEffectDate()));
            expPlanAlloc.setFirstClearDate(DateTimeUtil.getStandardDate(expPlanAlloc.getFirstClearDate()));
            expPlanAlloc.setFirstPayDate(DateTimeUtil.getStandardDate(expPlanAlloc.getFirstPayDate()));
            expPlanAlloc.setSubmit("Y");
            expPlanAlloc.setCalc("Y");
            expPlanAlloc.setFirst(Boolean.TRUE);
            
            assertReflectionEquals(expPlanAlloc, acpPlanAlloc);

        }  finally {
            checkDB(iCase);
            super.clearDB(iCase);
        }


    }
}
