/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */

package com.abssqr.plat.test.unittest.job.keeper;

import com.abssqr.plat.biz.shared.scheduler.job.capitalAssertMatch.CapitalAssertMatchJob;
import com.abssqr.plat.biz.shared.scheduler.job.keeper.node.CapitalAstMatchKeeper;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * 资金资产匹配监控测试
 * @author xiachenxiang
 * @version com.abssqr.plat.test.unittest.job.keeper: CapitalAstMatchKeeperTest.java, v 0.1 2020-02-07 4:59 PM xiachenxiang Exp $ 
 */
public class CapitalAstMatchKeeperTest extends BaseAutoTests {

    @Autowired
    private CapitalAstMatchKeeper capitalAstMatchKeeper;


    @XTest(relatePath = "unittest/job/CapitalAstMatchKeeper")
    @Test(dataProvider = "YamlDataProvider", description = "资金资产匹配监控测试")
    public void jobTest(ICase iCase, String strDate) {
        try {
            // 更新会计日期
            SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            Date date = sdf.parse(strDate);
            validJobCtr(CapitalAssertMatchJob.class.getName());
            mockCapitalAstMatchKeeper(date);
            capitalAstMatchKeeper.execute(date);
            invalidJobCtr(CapitalAssertMatchJob.class.getName());
        } catch (ParseException e) {
            throw new RuntimeException(e.getMessage());
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
    }
}
