/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */

package com.abssqr.plat.test.unittest.job.keeper;

import com.abssqr.plat.biz.shared.scheduler.job.keeper.node.DataCheckKeeper;
import com.abssqr.plat.common.model.enums.OrgCodeEnum;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * 内部数据核验测试
 *
 * @author xiachenxiang
 * @version com.abssqr.plat.test.unittest.job: DataCheckKeeperTest.java, v 0.1 2020-01-08 3:03 PM xiachenxiang Exp $
 */
public class DataCheckKeeperTest extends BaseAutoTests {

    @Autowired
    private DataCheckKeeper dataCheckKeeper;

    @XTest(relatePath = "unittest/job/dataCheckKeeper")
    @Test(dataProvider = "YamlDataProvider", description = "内部数据核验")
    public void jobTest(ICase iCase, String strDate) throws ParseException {
        // 更新会计日期
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        Date date = sdf.parse(strDate);
        updateDate(date, OrgCodeEnum.ABS.getCode());
        try {
            validJobCtr("DataCheckKeeper");
            dataCheckKeeper.execute(date);

        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
            invalidJobCtr("DataCheckKeeper");
        }

    }
}
