/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.test.unittest.org;

import com.abssqr.plat.common.facade.model.org.Organization;
import com.abssqr.plat.common.facade.param.org.OrgEditParam;
import com.abssqr.plat.common.facade.param.org.OrgPageQryParam;
import com.abssqr.plat.common.facade.param.org.OrgQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.org.OrgListVO;
import com.abssqr.plat.common.facade.service.OrgService;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

import static org.unitils.reflectionassert.ReflectionAssert.assertReflectionEquals;

/**
 *
 * @author yangcheng
 * @version OrgEditUnitTest.java, v0.12019-06-0922:03 yangchengExp$
 */
public class OrgUnitTest extends BaseAutoTests {

    @Autowired
    private OrgService orgService;

    @XTest(relatePath = "unittest/org/edit")
    @Test(dataProvider = "YamlDataProvider", description = "参与方管理，机构管理", priority = 1)
    public void addOrgEntity(ICase iCase, OrgEditParam param){
        try{
            orgService.addOrUpdate(param);
        }finally {
            checkDB(iCase);
            super.clearDB(iCase);
        }
    }

    @XTest(relatePath = "unittest/org/queryList")
    @Test(dataProvider = "YamlDataProvider", description = "参与方管理，机构管理", priority = 2)
    public void queryOrgListTest(ICase iCase, OrgPageQryParam param, OrgListVO expOrgList){
        try{
            BasePage<OrgListVO> orgList = orgService.getOrgList(param);
            assertReflectionEquals(expOrgList, orgList.getDatas().get(0));
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }

    }


    @XTest(relatePath = "unittest/org/queryOrg")
    @Test(dataProvider = "YamlDataProvider", description = "参与方管理，机构管理", priority = 2)
    public void queryOrg(ICase iCase, OrgQryParam param, Organization expOrg){
        try{
            Organization org = orgService.getOrg(param);
            assertReflectionEquals(expOrg, org);
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
    }
}
