/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.test.unittest.plan;

import com.abssqr.plat.common.facade.model.plan.Plan;
import com.abssqr.plat.core.service.plan.PlanAcctTitleManager;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

/**
 *
 * @author hanfei
 * @version $Id: CommonTaskTest.java, v 0.1 2019-04-23 4:38 PM hanfei Exp $ 
 */
public class PlanAcctTitleManagerUnitTest extends BaseAutoTests {
    
    @Autowired
    private PlanAcctTitleManager planAcctTitleManager;
    
    @XTest(relatePath = "unittest/plan/PlanAcctTitleManager/initPlanAcctTitles")
    @Test(dataProvider = "YamlDataProvider", description = "初始化科目")
    public void initPlanAcctTitles(ICase iCase, Plan plan) {
        try {
            planAcctTitleManager.initPlanAcctTitles(plan, plan.getEffectDate(), plan.getInvestStructureList(),
                    plan.getFeeStructureList());
            
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
    }
}
