/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */

package com.abssqr.plat.test.unittest.planAstPrice;

import com.abssqr.plat.common.dal.mysql.auto.dao.AcctDateDAO;
import com.abssqr.plat.common.dal.mysql.auto.dao.BizDataChangeDAO;
import com.abssqr.plat.common.facade.param.plan.priceRule.PriceQryParam;
import com.abssqr.plat.common.facade.result.plan.PlanAstPriceRuleVo;
import com.abssqr.plat.common.facade.service.plan.PlanAstPriceRuleService;
import com.abssqr.plat.common.model.enums.OrgCodeEnum;
import com.abssqr.plat.core.service.change.ChangeManager;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import com.general.system.common.model.exception.BaseCommonException;
import com.general.system.common.util.VarChecker;
import com.general.system.core.common.constant.factory.ConstantFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

/**
 *查询定价规则
 * @author xiachenxiang
 * @version com.abssqr.plat.test.unittest.planAstPrice: queryAstPrice.java, v 0.1 2019-11-08 10:59 AM xiachenxiang Exp $ 
 */
public class queryAstPrice extends BaseAutoTests {
    @Autowired
    private PlanAstPriceRuleService planAstPriceRuleService;
    @Autowired
    private AcctDateDAO acctDateDAO;
    @Autowired
    private BizDataChangeDAO bizDataChangeDAO;
    @Autowired
    private ChangeManager changeManager;


    @XTest(relatePath = "unittest/planAstPrice/query")
    @Test(dataProvider = "YamlDataProvider", description = "查询定价规则")
    public void queryPlanAstPrice(ICase iCase, String acctDate, PlanAstPriceRuleVo check, PriceQryParam param) {
        try {
            ConstantFactory.me().securityLogin("administrator");
            // 更新会计日期
            super.updateDate(acctDate, OrgCodeEnum.ABS.getCode());
            PlanAstPriceRuleVo result = planAstPriceRuleService.queryDtl(param);
            VarChecker.checkEquals(result,check);
        } catch (BaseCommonException e){
            e.printStackTrace();
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
    }
}
