/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */

package com.abssqr.plat.test.unittest.planBuyBack;

import com.abssqr.plat.biz.shared.dispatcher.buyBackMatch.LoanAstBuyBackMatchExecutor;
import com.abssqr.plat.biz.shared.dispatcher.buyBackMatch.LoanAstBuyBackMatchLoader;
import com.abssqr.plat.biz.shared.dispatcher.buyBackMatch.LoanAstBuyBackMatchStarter;
import com.abssqr.plat.common.model.domain.task.CommonTask;
import com.abssqr.plat.common.model.enums.OrgCodeEnum;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

import java.util.List;

/**
 * 资产回购筛选测试
 *
 * @author xiachenxiang
 * @version com.abssqr.plat.test.unittest.planBuyBack: PlanBuyBack.java, v 0.1 2020-02-12 2:10 PM xiachenxiang Exp $
 */
public class PlanBuyBackMatchTest extends BaseAutoTests {
    @Autowired
    private LoanAstBuyBackMatchLoader   planBuyBackMatchLoader;
    @Autowired
    private LoanAstBuyBackMatchExecutor planBuyBackMatchExecutor;

    @XTest(relatePath = "unittest/planBuyBack/match")
    @Test(dataProvider = "YamlDataProvider", description = "资产回购筛选")
    public void execute(ICase iCase, String acctDate) {
        try {
            // 更新会计日期
            super.updateDate(acctDate, OrgCodeEnum.ABS.getCode());
            // 设置任务关闭
            this.invalidJobCtr(LoanAstBuyBackMatchStarter.JOB_NAME);
            mockLoanAstBuyBackMatchHandler();
            planBuyBackMatchLoader.setSleepTime(0L);
            List<CommonTask> commonTasks = planBuyBackMatchLoader.loadToDoNodes(1);
            planBuyBackMatchExecutor.execute(commonTasks.get(0));


        } catch (Exception e) {
            throw e;
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }

    }
}
