/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.test.unittest.prod;

import com.abssqr.plat.common.dal.mysql.auto.dao.BizDataChangeDAO;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.BizDataChangeDO;
import com.abssqr.plat.common.facade.model.prod.LoanProduct;
import com.abssqr.plat.common.facade.param.prod.ProdEditParam;
import com.abssqr.plat.common.model.repo.prod.LoanProdRepository;
import com.abssqr.plat.core.service.change.ChangeManager;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.plat.web.controller.prod.ProductController;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import com.general.system.bpm.domain.result.ProcessAfterResult;
import com.general.system.bpm.enums.ApproveStatusEnum;
import com.general.system.core.common.constant.factory.ConstantFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

/**
 * @author yangcheng
 * @version ProdEditUnitTest.java, v0.12019-06-0610:29 yangchengExp$
 */
public class ProdEditUnitTest extends BaseAutoTests {

    @Autowired
    private ProductController prodController;

    @Autowired
    private LoanProdRepository prodRepo;

    @Autowired
    private BizDataChangeDAO bizDataChangeDAO;
    @Autowired
    private ChangeManager changeManager;

    @XTest(relatePath = "unittest/prod/edit")
    @Test(dataProvider = "YamlDataProvider", description = "新增产品准入规则")
    public void initProdEditUnitTest(ICase iCase, ProdEditParam param) {
        try{
            ConstantFactory.me().securityLogin("administrator");
            // 新增产品
            prodController.editProd(param);
    
            // 查询产品
            LoanProduct prod = prodRepo.getLoanProdByPK(param.getProdCode(), param.getManagerOrgCode());
    
            BizDataChangeDO bizData = bizDataChangeDAO.getByBizNoAndStatus(prod.getAbssqrProdCode(), "PENDING");
            if (bizData != null) {
                // 审批
                ProcessAfterResult result = new ProcessAfterResult();
                result.setBusinessKey(bizData.getChangeNo());
                result.setStatusEnum(ApproveStatusEnum.PASSED);
                changeManager.handle(result);
            }
    
            putDbCkParam("abssqrProdCode", prod.getAbssqrProdCode());
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
    }
}
