/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.web.controller.analyse;

import com.abssqr.plat.common.facade.param.analyse.AnalyseBaseParam;
import com.abssqr.plat.common.facade.param.analyse.AnalyseTrendChartParam;
import com.abssqr.plat.common.facade.result.analyse.AnalyseChartResultVO;
import com.abssqr.plat.common.facade.result.analyse.AnalyseDayAmtInfoVO;
import com.abssqr.plat.common.facade.result.analyse.AnalyseDayAstInfoVO;
import com.abssqr.plat.common.facade.service.analyse.AnalyseInfoChartService;
import com.general.enhanced.controller.annotation.RestJsonController;
import com.general.system.common.model.BaseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * 统计图 及 相关展示信息数据
 * @author hanfei
 * @version $Id: AnalyseInfoChartController.java, v 0.1 2019-09-18 4:21 PM hanfei Exp $
 */
@RestJsonController
@RequestMapping("/analyse")
public class AnalyseInfoChartController {
    
    @Autowired
    private AnalyseInfoChartService analyseInfoChartService;
    /**
     * 资产概览
     */
    @RequestMapping(path = "/ast/overview.json", method = RequestMethod.GET)
    public AnalyseDayAstInfoVO overviewAst(AnalyseBaseParam param){
        return analyseInfoChartService.getDayAstInfo(param);
    }
    
    /**
     * 资金情况
     */
    @RequestMapping(path = "/amt/overview.json", method = RequestMethod.GET)
    public AnalyseDayAmtInfoVO overviewAmt(AnalyseBaseParam param){
        return analyseInfoChartService.getDayAmtInfo( param);
    }
    
    /**
     * 资产期限结构
     */
    @RequestMapping(path = "/ast/formation.json", method = RequestMethod.GET)
    public BaseResult formationAst(AnalyseBaseParam param){
        return BaseResult.success(analyseInfoChartService.getFormationAst(param));
    }
    
    /**
     * 根据业务编码 获取不同业务的趋势图，包含场景如下
     * 1、逾期/早偿情况
     * 2、新增放贷
     * 3、转让资产
     * 4、总资产规模
     * 5、转让资产规模
     * 6、整体逾期率
     * 7、资金余额
     * 8、资金流入
     * 9、资金流出
     * 10、闲置率
     */
    @RequestMapping(path = "/trend.json", method = RequestMethod.POST)
    public AnalyseChartResultVO trendChart(@RequestBody AnalyseTrendChartParam trendChartParam){
        return analyseInfoChartService.trendChartService(trendChartParam);
    }
}
