/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.web.controller.loan;

import com.abssqr.plat.common.facade.param.loan.LoanPageQryParam;
import com.abssqr.plat.common.facade.param.loan.LoanQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.ast.LoanDelVO;
import com.abssqr.plat.common.facade.result.ast.LoanListVO;
import com.abssqr.plat.common.facade.service.ast.LoanService;
import com.general.enhanced.controller.annotation.RestJsonController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
/**
 * 资产controller
 * @author guozhenhua
 * @version com.abssqr.web.controller.loan: LoanController.java, v 0.1 2018-05-02 下午2:53 guozhenhua Exp $
 */
@RestJsonController
public class LoanController {
    
    @Autowired
    private LoanService loanService;
    
    /**
     * 分页查询计划下的资产列表
     * @param param
     * @return
     */
    @RequestMapping(path = "/plan/ast/getList.json", method = RequestMethod.GET)
    public BasePage<LoanListVO> getPlanAstList(LoanPageQryParam param) {
        return loanService.getOrgLoanList(param);
    }
    
    /**
     * 查看项目计划概要信息
     * @param param
     * @return
     */
    @RequestMapping(path = "/plan/ast/del.json", method = RequestMethod.GET)
    public LoanDelVO getAst(LoanQryParam param) {
        return loanService.getPlanAstDetail(param);
    }
    
}
