/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.web.controller.plan;

import com.abssqr.plat.common.facade.param.plan.alloc.PlanAllocPayParam;
import com.abssqr.plat.common.facade.result.plan.PlanAllocPayInfoVO;
import com.abssqr.plat.common.facade.service.plan.PlanAllocPayService;
import com.general.enhanced.controller.annotation.RestJsonController;
import com.general.system.common.model.BaseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * 分配计划 兑付支付
 *
 * @author hanfei
 */
@RestJsonController
public class PlanAllocPayController {

    @Autowired
    private PlanAllocPayService planAllocPayService;
    /**
     * 分配计划发起 支付 或 支付入账
     * @param param
     * @return
     */
    @RequestMapping(path = "/plan/alloc/pay.json", method = RequestMethod.POST)
    public BaseResult pay(@RequestBody PlanAllocPayParam param) {
        planAllocPayService.allocPay(param);
        return BaseResult.success("发起支付操作成功");
    }
    
    /**
     * 查询分配详情
     * @param param
     * @return
     */
    @RequestMapping(path = "/plan/alloc/pay.json", method = RequestMethod.GET)
    public PlanAllocPayInfoVO info(PlanAllocPayParam param) {
        return planAllocPayService.allocInfo(param);
    }

}
