/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.web.controller.prod;

import com.abssqr.plat.common.facade.model.prod.LoanProduct;
import com.abssqr.plat.common.facade.param.prod.ProdEditParam;
import com.abssqr.plat.common.facade.param.prod.ProdPageQryParam;
import com.abssqr.plat.common.facade.param.prod.ProdQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.prod.ProdListVO;
import com.abssqr.plat.common.facade.service.ProdService;
import com.general.enhanced.controller.annotation.RestJsonController;
import com.general.system.common.model.BaseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * 产品controller
 *
 * @author yaphet
 * @version com.abssqr.admin.web.controller.product: ProductController.java, v 0.1 2018-03-02 下午3:32 yaphet Exp $
 */
@RestJsonController
public class ProductController {

    @Autowired
    private ProdService        prodService;


    /**
     * @param param
     * @return
     * @description 查询产品列表
     */
    @RequestMapping(path = "/prod/list.json", method = RequestMethod.GET)
    public BasePage<ProdListVO> getProdList(ProdPageQryParam param) { return prodService.getProdList(param); }


    /**
     * 增加产品
     *
     * @param param
     * @return
     */
    @RequestMapping(path = "/prod/edit.json", method = RequestMethod.POST)
    public BaseResult editProd(@RequestBody ProdEditParam param){
      return  prodService.addOrUpdate(param);
    }

    /**
     * 获取产品
     *
     * @param param
     * @return productBO
     */
    @RequestMapping(path = "/prod/get.json", method = RequestMethod.GET)
    public LoanProduct getProd(ProdQryParam param) {
        return prodService.getProd(param);
    }

}
