/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.web.fileExport;

import com.abssqr.plat.common.facade.utils.TmplUtils;
import com.abssqr.plat.common.model.exception.AbssqrBizException;
import com.google.common.collect.Maps;
import org.jxls.common.Context;
import org.jxls.expression.JexlExpressionEvaluator;
import org.jxls.transform.Transformer;
import org.jxls.transform.poi.PoiTransformer;
import org.jxls.util.JxlsHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.util.CollectionUtils;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.Map;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.web.util: XlsExportManager.java, v 0.1 2019-02-28 14:51 zhenxuan.luo Exp $
 */
@Component
public class XlsExportUtil {
    
    @Autowired
    private TmplUtils tmplUtils;
    
    public void export(InputStream templateIn, OutputStream outputStream, Map<String, Object> model) {
        
        Context context = PoiTransformer.createInitialContext();
        if (!CollectionUtils.isEmpty(model)) {
            for (String key : model.keySet()) {
                context.putVar(key, model.get(key));
            }
        }
        JxlsHelper jxlsHelper = JxlsHelper.getInstance();
        Transformer transformer = jxlsHelper.createTransformer(templateIn, outputStream);
        //        //获得配置
        //        XSSFWorkbook xssfWorkbook = (XSSFWorkbook) ((PoiTransformer) transformer).getWorkbook();
        //        XSSFCreationHelper ch = new XssfCreationHelper(xssfWorkbook);
        //
        //        Class<?> clz = xssfWorkbook.getClass();
        //        Field field = clz.getDeclaredField("_creationHelper");
        //        field.setAccessible(true);
        //        field.set(xssfWorkbook, ch);
        
        JexlExpressionEvaluator evaluator = (JexlExpressionEvaluator) transformer.getTransformationConfig()
                                                                              .getExpressionEvaluator();
        // 自定义函数功能，处理日期，字符串格式化等
        Map<String, Object> funcs = Maps.newHashMap();
        //添加自定义功能
        funcs.put("utils", tmplUtils);
        evaluator.getJexlEngine().setFunctions(funcs);
        try {
            jxlsHelper.setUseFastFormulaProcessor(false).processTemplate(context, transformer);
        } catch (IOException e) {
            throw new AbssqrBizException("导出excel文件失败", e);
        }
    }
}